org.faceless.pdf2

## Class OutputProfile.Feature

- java.lang.Object
- - org.faceless.pdf2.OutputProfile.Feature

- Enclosing class:
    OutputProfile

      public static class OutputProfile.Feature
      extends Object

  An `OutputProfile` is made up of `Features`, which may be required or denied. This class defines the available features. Broadly speaking they break down into two categories, those that can be easily determined, and those that require scanning the PDF to see if they apply.

  Those in the first category are returned by the `PDF.getBasicOutputProfile()` method, and are kept up to date as the PDF is updated. Those in the second category are only available via the `PDF.getFullOutputProfile()` method, which requires the PDF to be scanned to determine.

  An `OutputProfile` may be customized by setting these features as `Required` or `Denied`. See that class for more information.

  Since:
    2.6.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OutputProfile.Feature` | `Acrobat5Encryption` The PDF is encrypted with 128-bit encryption.
    `static OutputProfile.Feature` | `Acrobat6Encryption` The PDF is encrypted with 128-bit encryption and Acrobat 6.0 features.
    `static OutputProfile.Feature` | `ActionGoTo3DView` The PDF contains a GoTo3DView action This is not allowed in PDF/A-2 (not part of basic profile).
    `static OutputProfile.Feature` | `ActionGoToBadPage` The PDF contains a GoTo action that references a non-existant page (not part of basic profile).
    `static OutputProfile.Feature` | `ActionHide` The PDF contains a Hide action (which covers both showing and hiding widgets) This is not allowed in PDF/A (not part of basic profile).
    `static OutputProfile.Feature` | `ActionImportData` The PDF has ImportData actions (not part of basic profile).
    `static OutputProfile.Feature` | `ActionLaunch` The PDF has Launch actions (not part of basic profile).
    `static OutputProfile.Feature` | `ActionMovie` The PDF has Movie actions (not part of basic profile).
    `static OutputProfile.Feature` | `ActionNamedOther` The PDF has Named actions other than NextPage, PrevPage, FirstPage or LastPage (not part of basic profile).
    `static OutputProfile.Feature` | `ActionRendition` The PDF contains a Rendition action.
    `static OutputProfile.Feature` | `ActionResetForm` The PDF has ResetForm actions (not part of basic profile).
    `static OutputProfile.Feature` | `Actions` The PDF has Actions (not part of basic profile).
    `static OutputProfile.Feature` | `ActionSetOCGState` The PDF contains a SetOCGState action.
    `static OutputProfile.Feature` | `ActionsInBookmarks` The PDF has Actions in its Bookmarks (not part of basic profile).
    `static OutputProfile.Feature` | `ActionsOnDocument` The PDF has Actions on the Document Catalog (not part of basic profile).
    `static OutputProfile.Feature` | `ActionsOnFields` The PDF has Actions on a Form Field (not part of basic profile).
    `static OutputProfile.Feature` | `ActionsOnPages` The PDF has Actions which will run when a Page is opened or closed (not part of basic profile).
    `static OutputProfile.Feature` | `ActionsOnWidgets` The PDF has Actions on a Widget Annotation (not part of basic profile).
    `static OutputProfile.Feature` | `ActionSound` The PDF has Sound actions (not part of basic profile).
    `static OutputProfile.Feature` | `ActionTrans` The PDF contains a Transition action.
    `static OutputProfile.Feature` | `ActionUnknown` The PDF has an Unknown action.
    `static OutputProfile.Feature` | `AdditionalActions` The PDF has Additional Actions (not part of basic profile).
    `static OutputProfile.Feature` | `AES256Encryption` The PDF is encrypted with 256-bit AES encryption.
    `static OutputProfile.Feature` | `AESEncryption` The PDF is encrypted with AES encryption - the exact keylength is unspecified, but is assumed to be 128-bits unless `AES256Encryption` or `WeakAES256Encryption` is also set.
    `static OutputProfile.Feature[]` | `ALL` This array lists all the Features, for easy iteration.
    `static OutputProfile.Feature` | `AltColorSpaceCalGray` The PDF uses a Separation colorspace with a Calibrated Grayscale alternate (not part of basic profile).
    `static OutputProfile.Feature` | `AltColorSpaceCalRGB` The PDF uses a Separation colorspace with a Calibrated RGB alternate (not part of basic profile).
    `static OutputProfile.Feature` | `AltColorSpaceDeviceCMYK` The PDF uses a Separation colorspace with a DeviceCMYK alternate (not part of basic profile).
    `static OutputProfile.Feature` | `AltColorSpaceDeviceGray` The PDF uses a Separation colorspace with a DeviceGray alternate (not part of basic profile).
    `static OutputProfile.Feature` | `AltColorSpaceDeviceRGB` The PDF uses a Separation colorspace with a DeviceRGB alternate (not part of basic profile).
    `static OutputProfile.Feature` | `AltColorSpaceICC` The PDF uses a Separation colorspace with an ICC alternate (not part of basic profile).
    `static OutputProfile.Feature` | `AltColorSpaceLab` The PDF uses a Separation colorspace with a L*a*b* alternate (not part of basic profile).
    `static OutputProfile.Feature` | `AlternateImage` The PDF contains at least one image with an Alternate (not part of basic profile)
    `static OutputProfile.Feature` | `AlternateImagePrints` The PDF contains images where the alternate is set to print by default (not part of basic profile).
    `static OutputProfile.Feature` | `Annotation3D` The PDF contains a 3D annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationCaret` The PDF contains a Caret annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationCircle` The PDF contains a Circle annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationColorDeviceCMYK` The PDF uses an Annotation with a DeviceCMYK color (not part of basic profile)
    `static OutputProfile.Feature` | `AnnotationColorDeviceGray` The PDF uses an Annotation with a DeviceGray color (not part of basic profile)
    `static OutputProfile.Feature` | `AnnotationColorDeviceRGB` The PDF uses an Annotation with a DeviceRGB color (not part of basic profile)
    `static OutputProfile.Feature` | `AnnotationColorMismatchesIntent` The PDF contains an annotation that specifies a device color which doesn't match the OutputIntent.
    `static OutputProfile.Feature` | `AnnotationColorTransparent` The PDF uses an Annotation with a Transparent Color (not part of basic profile)
    `static OutputProfile.Feature` | `AnnotationFile` The PDF contains a `FileAttachment` annotation (not part of basic profile)
    `static OutputProfile.Feature` | `AnnotationHiddenFlagSet` The PDF contains an Annotation that is hidden.
    `static OutputProfile.Feature` | `AnnotationHighlight` The PDF contains a `Highlight` annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationInk` The PDF contains an Ink annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationInvisibleFlagSet` The PDF contains an Annotation that is invisible.
    `static OutputProfile.Feature` | `AnnotationLine` The PDF contains a Line annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationLink` The PDF contains a `Link` annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationMovie` The PDF contains at least one Movie annotation.
    `static OutputProfile.Feature` | `AnnotationNote` The PDF contains a `Note` annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationNoteNoRotateFlagNotSet` The PDF contains a Note Annotation that does not have the NoRotate flag set.
    `static OutputProfile.Feature` | `AnnotationNoteNoZoomFlagNotSet` The PDF contains a Note Annotation that does not have the NoZoom flag set.
    `static OutputProfile.Feature` | `AnnotationNoViewFlagSet` The PDF contains an Annotation that has the NoView flag set.
    `static OutputProfile.Feature` | `AnnotationPolygon` The PDF contains a Polygon annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationPolyLine` The PDF contains a PolyLine annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationPopup` The PDF contains a Popup annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationPrinterMark` The PDF contains a PrinterMark annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationProjection` The PDF contains a Projection annotation, as defined in ISO 32000-1:2008 extension 3.
    `static OutputProfile.Feature` | `AnnotationRedact` The PDF contains a Redaction annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationRichMedia` The PDF contains a RichMedia annotation, as defined in ISO 32000-1:2008 extension 3.
    `static OutputProfile.Feature` | `Annotations` The PDF has Annotations (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationScreen` The PDF contains a Screen annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationsInPage` The PDF has Annotations inside the Bleed box (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationSound` The PDF contains at least one Sound annotation.
    `static OutputProfile.Feature` | `AnnotationSquare` The PDF contains a Square annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationSquiggly` The PDF contains an `Squiggly` annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationStamp` The PDF contains a `Stamp` annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationStrikeOut` The PDF contains an `StrikeOut` annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationText` The PDF contains a `Text` annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationToggleNoViewFlagSet` The PDF contains an Annotation that has the ToggleNoView flag set.
    `static OutputProfile.Feature` | `AnnotationTransparency` The PDF contains annotations with Transparency (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationTrapNet` The PDF contains a TrapNet annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationUnderline` The PDF contains an `Underline` annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationUnknown` The PDF contains an annotation type that is not defined in the PDF specification (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationWatermark` The PDF contains a Watermark annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationWidget` The PDF contains a Widget Annotation (not part of basic profile).
    `static OutputProfile.Feature` | `AnnotationWithUnpredictableAppearance` The PDF contains an Annotation with multiple appearance streams, or an annotation which doesn't have the required "normal" appearance.
    `static OutputProfile.Feature` | `ArrayOverflow` The PDF contains an Array with > 8191 elements.
    `static OutputProfile.Feature` | `Articles` The PDF contains "Articles" (sometimes known as Threads).
    `static OutputProfile.Feature` | `AuthorSignature` The PDF contains an Author digital signature
    `static OutputProfile.Feature` | `BadBoxNesting` The PDF has pages where the Boxes are nested incorrectly.
    `static OutputProfile.Feature` | `BadTrapNetAnnotation` The PDF has a Trap Annotation that does not meet PDF/X requirements (not part of basic profile).
    `static OutputProfile.Feature` | `BadXMPMetaData` The PDF contains XMPMetadata that does not meet the XMP specification.
    `static OutputProfile.Feature` | `BlackAndWhiteImage` The PDF contains a bitmap image that is in Black&White, as opposed to Color or Grayscale.
    `static OutputProfile.Feature` | `BlackSeparation` The PDF uses a Separation colorspace with an ink name of Black (not part of basic profile).
    `static OutputProfile.Feature` | `BlendingColorSpaceUndefined` The PDF contains a Page with transparent content, but doesn't define the ColorSpace in which that content is to be blended.
    `static OutputProfile.Feature` | `BlendingColorSpaceUndefinedNoIntent` As for `BlendingColorSpaceUndefined` and the GTS_PDFA1 OutputIntent is also not specified.
    `static OutputProfile.Feature` | `Bookmarks` The PDF has a Bookmarks tree, as returned by `PDF.getBookmarks()`.
    `static OutputProfile.Feature` | `BothTrimAndArtBox` The PDF has pages with both an Art and Trim boxes (not part of basic profile).
    `static OutputProfile.Feature` | `BXEXOperator` The PDF contains a stream with BX/EX operators (not part of basic profile).
    `static OutputProfile.Feature` | `CatalogRequirements` The PDF Catalog has a "Requirements" key.
    `static OutputProfile.Feature` | `CIDFontCompactEmbedded` The PDF uses an embedded Compact CID font (not part of basic profile).
    `static OutputProfile.Feature` | `CIDFontOpenTypeEmbedded` The PDF uses an embedded OpenType CID font (not part of basic profile)
    `static OutputProfile.Feature` | `CIDFontSubsetWithoutCIDSet` The PDF embeds a subset CID font without a CIDSet string (not part of basic profile).
    `static OutputProfile.Feature` | `CIDFontTrueTypeEmbedded` The PDF uses an embedded TrueType CID font (not part of basic profile).
    `static OutputProfile.Feature` | `CIDFontTrueTypeUnembedded` The PDF uses an unembedded TrueType CID font (not part of basic profile).
    `static OutputProfile.Feature` | `CIDFontTrueTypeWithoutCIDToGIDMap` The PDF contains a TrueType CIDFont without a CIDToGIDMap entry.
    `static OutputProfile.Feature` | `CIDFontType1Embedded` The PDF uses an embedded Type 1 CID font (not part of basic profile).
    `static OutputProfile.Feature` | `CIDFontType1Unembedded` The PDF uses an unembedded Type 1 CID font (not part of basic profile).
    `static OutputProfile.Feature` | `CIDSetCoverageIncomplete` The PDF contains a subset CID font with a CIDSet that doesn't reference all glyphs in the font.
    `static OutputProfile.Feature` | `CIDSetCoverageIncompleteTolerant` The PDF contains a subset CID font with a CIDSet that doesn't reference all glyphs in the font.
    `static OutputProfile.Feature` | `CIDSystemInfoAndCMapNotCompatible` The PDF contains a CID font where the CIDSystemInfo does not match the CMap dictionary.
    `static OutputProfile.Feature` | `CMapEmbeddedWithInvalidWMode` The PDF contains a CMap that contains a non identical WMode integer entry (not part of basic profile).
    `static OutputProfile.Feature` | `CMYKJPEG` The PDF contains CMYK JPEG images (not part of basic profile).
    `static OutputProfile.Feature` | `ColorContent` The PDF contains text, shading or vector graphics (anything but bitmap images) that are in Color rather than grayscale or black-and-white.
    `static OutputProfile.Feature` | `ColorImage` The PDF contains a bitmap image that could be in Color.
    `static OutputProfile.Feature` | `ColorSpaceCalGray` The PDF uses a calibrated Grayscale colorspace (not part of basic profile)
    `static OutputProfile.Feature` | `ColorSpaceCalRGB` The PDF uses a calibrated RGB colorspace (not part of basic profile)
    `static OutputProfile.Feature` | `ColorSpaceDeviceCMYK` The PDF uses the DeviceCMYK colorspace (not part of basic profile)
    `static OutputProfile.Feature` | `ColorSpaceDeviceGray` The PDF uses the DeviceGray colorspace (not part of basic profile)
    `static OutputProfile.Feature` | `ColorSpaceDeviceN` The PDF uses a Device-N colorspace (not part of basic profile)
    `static OutputProfile.Feature` | `ColorSpaceDeviceNMissingColorants` The PDF uses a DeviceN or N-Channel colorspace which does not define all the Colorants array for all its Spot colors.
    `static OutputProfile.Feature` | `ColorSpaceDeviceRGB` The PDF uses the DeviceRGB colorspace (not part of basic profile)
    `static OutputProfile.Feature` | `ColorSpaceICC` The PDF uses an embedded ICC profile (not part of basic profile).
    `static OutputProfile.Feature` | `ColorSpaceIndexed` The PDF uses an Indexed colorspace (not part of basic profile).
    `static OutputProfile.Feature` | `ColorSpaceLab` The PDF uses a CIE L*a*b* colorspace (not part of basic profile).
    `static OutputProfile.Feature` | `ColorSpaceNChannel` The PDF uses an N-Channel colorspace (not part of basic profile)
    `static OutputProfile.Feature` | `ColorSpacePattern` The PDF uses a Pattern colorspace (not part of basic profile).
    `static OutputProfile.Feature` | `ColorSpaceSeparation` The PDF uses a Separation colorspace (not part of basic profile).
    `static OutputProfile.Feature` | `ComplexBlendMode` The PDF contains content to be composited using a blend mode other than Normal, that may introduce transparency effects (not part of basic profile).
    `static OutputProfile.Feature` | `CompressedXRef` The PDF has a Compressed XRef table.
    `static OutputProfile.Feature` | `ContentIsDamaged` The PDF contains a content stream which is damaged.
    `static OutputProfile.Feature` | `CyanSeparation` The PDF uses a Separation colorspace with an ink name of Cyan (not part of basic profile).
    `static OutputProfile.Feature` | `Device33ColorSpace` The PDF contains a DeviceN ColorSpace with more than 32 components.
    `static OutputProfile.Feature` | `Device9ColorSpace` The PDF contains a DeviceN ColorSpace with more than 8 components.
    `static OutputProfile.Feature` | `DeviceCMYKWithGrayIntent` The PDF contains a Device CMYK color but a Grayscale Output Intent.
    `static OutputProfile.Feature` | `DeviceCMYKWithRGBIntent` The PDF contains a Device CMYK color but a RGB Output Intent.
    `static OutputProfile.Feature` | `DeviceDependentColor` The PDF contains device-dependent Color (not part of basic profile).
    `static OutputProfile.Feature` | `DeviceGrayWithCMYKIntent` The PDF contains a Device Gray color but a CMYK Output Intent.
    `static OutputProfile.Feature` | `DeviceGrayWithRGBIntent` The PDF contains a Device Gray color but an RGB Output Intent.
    `static OutputProfile.Feature` | `DeviceRGBWithCMYKIntent` The PDF contains a Device RGB color but a CMYK Output Intent.
    `static OutputProfile.Feature` | `DeviceRGBWithGrayIntent` The PDF contains a Device RGB color but a Grayscale Output Intent.
    `static OutputProfile.Feature` | `DictionaryOverflow` The PDF contains a Dictionary with > 4095 entries.
    `static OutputProfile.Feature` | `DigitallySigned` The PDF contains at least one Digital Signature.
    `static OutputProfile.Feature` | `DocIDMismatch` The PDF is Linearized, but has a mismatch between the Document ID in the final trailer and the Document ID in the first page trailer.
    `static OutputProfile.Feature` | `DocIDMissing` The PDF is missing the Document ID in the primary trailer.
    `static OutputProfile.Feature` | `DocumentNeedsRendering` The PDF Catalog has a "NeedsRendering" key.
    `static OutputProfile.Feature` | `DuplicateSeparation` The PDF contains a page or canvas with two different Separation ColorSpaces that have the same name.
    `static OutputProfile.Feature` | `EmbeddedFileNotPDFA` The PDF contains an embedded file that does not conform to PDF/A (any revision).
    `static OutputProfile.Feature` | `EmbeddedFiles` The PDF has Embedded files (not part of basic profile).
    `static OutputProfile.Feature` | `EmbeddedFileSubtypeNotContentType` The PDF contains an embedded file for which the Subtype is not a MIME content-type.
    `static OutputProfile.Feature` | `EmbeddedFileWithoutAFRelationship` The PDF contains a File Specification which does not have the AFRelationship key.
    `static OutputProfile.Feature` | `EmbeddedFileWithoutModDate` The PDF contains an embedded file which does not have a modification date.
    `static OutputProfile.Feature` | `EmbeddedFileWithoutName` The PDF contains a File Specification which does not have the F key.
    `static OutputProfile.Feature` | `EmbeddedFileWithoutParams` The PDF contains an embedded file which does not have the Params key.
    `static OutputProfile.Feature` | `EmbeddedFileWithoutSubtype` The PDF contains an embedded file which does not have the Subtype key.
    `static OutputProfile.Feature` | `EmbeddedFileWithoutUnicodeName` The PDF contains a File Specification which does not have the F or UF key.
    `static OutputProfile.Feature` | `Encryption` The PDF is encrypted.
    `static OutputProfile.Feature` | `FFilter` The PDF has streams with external file filters and are not allowed in PDF/A (not part of basic profile)
    `static OutputProfile.Feature` | `FileBased` The PDF has been loaded from a `File`.
    `static OutputProfile.Feature` | `FileIsDamaged` The PDF structure was damaged but has been repaired.
    `static OutputProfile.Feature` | `FilterASCII85` The PDF has streams compressed with ASCII85 (not part of basic profile)
    `static OutputProfile.Feature` | `FilterASCIIHex` The PDF has streams compressed with ASCIIHEX (not part of basic profile)
    `static OutputProfile.Feature` | `FilterCCITT` The PDF has streams compressed with CCITT (not part of basic profile).
    `static OutputProfile.Feature` | `FilterDCT` The PDF has streams compressed with Discrete cosine (JPEG) encoding (not part of basic profile)
    `static OutputProfile.Feature` | `FilterFlate` The PDF has streams compressed with Flate (not part of basic profile)
    `static OutputProfile.Feature` | `FilterInlineASCII85` The PDF contains an inline-image which is encoded with ASCII85 encoding (not part of basic profile).
    `static OutputProfile.Feature` | `FilterInlineASCIIHex` The PDF contains an inline-image which is encoded with ASCIIHex encoding (not part of basic profile).
    `static OutputProfile.Feature` | `FilterInlineCCITT` The PDF contains an inline-image which is compressed with CCITT compression (not part of basic profile).
    `static OutputProfile.Feature` | `FilterInlineDCT` The PDF contains an inline-image which is compressed with DCT (JPEG) encoding (not part of basic profile).
    `static OutputProfile.Feature` | `FilterInlineFlate` The PDF contains an inline-image which is compressed with Flate compression (not part of basic profile).
    `static OutputProfile.Feature` | `FilterInlineLZW` The PDF contains an inline-image which is compressed with LZW encoding (not part of basic profile).
    `static OutputProfile.Feature` | `FilterInlineRLE` The PDF contains an inline-image which is compressed with run-length encoding (not part of basic profile).
    `static OutputProfile.Feature` | `FilterJBIG2` The PDF has streams compressed with JBIG2 encoding (not part of basic profile).
    `static OutputProfile.Feature` | `FilterJPX` The PDF has streams compressed with JPEG-2000 encoding (not part of basic profile) If this feature is denied when an OutputProfile is applied, then any streams compressed with JPX will be recompressed with Flate.
    `static OutputProfile.Feature` | `FilterLZW` The PDF has streams compressed with LZW encoding (not part of basic profile).
    `static OutputProfile.Feature` | `FilterNoneOnLargeStream` The PDF has large uncompressed streams (not part of basic profile).
    `static OutputProfile.Feature` | `FilterRLE` The PDF has streams compressed with Run-Length encoding (not part of basic profile)
    `static OutputProfile.Feature` | `FilterUnknown` The PDF contains a stream with a non-standard filter, which will be unreadable.
    `static OutputProfile.Feature` | `FontCompactEmbedded` The PDF uses an embedded Compact font (not part of basic profile)
    `static OutputProfile.Feature` | `FontEmbeddingRestrictions` The PDF embeds a font with embedding restrictions (not part of basic profile).
    `static OutputProfile.Feature` | `FontMultipleMaster` The PDF uses a Multiple-Master font (not part of basic profile)
    `static OutputProfile.Feature` | `FontOpenTypeEmbedded` The PDF uses an embedded OpenType font (not part of basic profile)
    `static OutputProfile.Feature` | `FontStandard14` The PDF uses the Standard 14 fonts (not part of basic profile)
    `static OutputProfile.Feature` | `FontSymbolicStatusUndefined` The PDF contains a font which does not have it's symbolic status correctly defined - the two bits in its Flags field contradict eachother (not part of basic profile).
    `static OutputProfile.Feature` | `FontTrueTypeEmbedded` The PDF uses an embedded TrueType font (not part of basic profile)
    `static OutputProfile.Feature` | `FontTrueTypeUnembedded` The PDF uses an unembedded TrueType font (not part of basic profile)
    `static OutputProfile.Feature` | `FontType0` The PDF uses a Type 0 font (not part of basic profile).
    `static OutputProfile.Feature` | `FontType1Embedded` The PDF uses an embedded Type-1 font (not part of basic profile)
    `static OutputProfile.Feature` | `FontType1SubsetWithoutCharset` The PDF embeds a Type1 font subset without a CharSet string.
    `static OutputProfile.Feature` | `FontType1Unembedded` The PDF uses an unembedded Type 1 font (not part of basic profile)
    `static OutputProfile.Feature` | `FontType1WithoutToUnicode` The PDF uses a Type 1 font without a ToUnicode map (not part of basic profile).
    `static OutputProfile.Feature` | `FontType3` The PDF uses a Type 3 font (not part of basic profile)
    `static OutputProfile.Feature` | `FontWidthsNotConsistent` The PDF embeds a font with inconsistent widths.
    `static OutputProfile.Feature` | `FontWithMissingGlyphs` The PDF embeds a font without glyphs for all characters referenced in the document.
    `static OutputProfile.Feature` | `FontWithoutMetadata` The PDF contains at least one font without any meta-data (not part of basic profile).
    `static OutputProfile.Feature` | `Form` The PDF contains a Form with at least one element.
    `static OutputProfile.Feature` | `FreeFormLink` The PDF contains a Link annotation with a non-rectangular shape (not part of basic profile).
    `static OutputProfile.Feature` | `FullPageImage` The PDF contains a full page image.
    `static OutputProfile.Feature` | `GrayscaleContent` The PDF contains text, shading or vector graphics (anything but bitmap images) that are in Grayscale, ie. they include a shade of gray that is not black or white.
    `static OutputProfile.Feature` | `GrayscaleImage` The PDF contains a bitmap image that could be in Grayscale.
    `static OutputProfile.Feature` | `Hairline` The PDF contains a "hairline" (not part of basic profile).
    `static OutputProfile.Feature` | `HalftoneName` The PDF contains a named Halftone pattern (not part of basic profile).
    `static OutputProfile.Feature` | `HalftoneNot1or5` The PDF contains a Halftone pattern not of type 1 or 5 (not part of basic profile).
    `static OutputProfile.Feature` | `HasAuthor` The PDF Info dictionary has an Author set
    `static OutputProfile.Feature` | `HasCMYKOutputIntent` The PDF contains an OutputIntent defining a CMYK ColorSpace.
    `static OutputProfile.Feature` | `HasCreationDate` The PDF Info dictionary has a Creation Date set
    `static OutputProfile.Feature` | `HasCreator` The PDF Info dictionary has a Creator set
    `static OutputProfile.Feature` | `HasDocID` The PDF has a Document ID set.
    `static OutputProfile.Feature` | `HasGrayOutputIntent` The PDF contains an OutputIntent defining a Grayscale ColorSpace.
    `static OutputProfile.Feature` | `HasModDate` The PDF Info dictionary has a Modification Date set.
    `static OutputProfile.Feature` | `HasMultipleDifferentOutputIntents` The PDF contains multiple Output Intents with different ICC profiles.
    `static OutputProfile.Feature` | `HasMultipleOutputIntents` The PDF contains multiple Output Intents.
    `static OutputProfile.Feature` | `HasOutputIntent` The PDF contains an OutputIntent.
    `static OutputProfile.Feature` | `HasOutputIntentGTS_PDFA` The PDF contains an OutputIntent of GTS_PDFA.
    `static OutputProfile.Feature` | `HasOutputIntentGTS_PDFA1` The PDF contains an OutputIntent of GTS_PDFA1.
    `static OutputProfile.Feature` | `HasOutputIntentGTS_PDFX` The PDF contains an OutputIntent of GTS_PDFX.
    `static OutputProfile.Feature` | `HasProducer` The PDF Info dictionary has a Producer set
    `static OutputProfile.Feature` | `HasReferenceOutputIntent` The PDF contains an OutputIntent which references an external ICC profile.
    `static OutputProfile.Feature` | `HasRGBOutputIntent` The PDF contains an OutputIntent defining an RGB ColorSpace.
    `static OutputProfile.Feature` | `HasSubject` The PDF Info dictionary has a Subject set
    `static OutputProfile.Feature` | `HasTitle` The PDF Info dictionary has a Title set
    `static OutputProfile.Feature` | `HasTrapped` The PDF Info dictionary has a Trapped key.
    `static OutputProfile.Feature` | `HasUnembeddedOutputIntent` The PDF contains an OutputIntent which does not contain an embedded ICC profile
    `static OutputProfile.Feature` | `HasUnknownOutputIntent` The PDF contains an OutputIntent which is not GrayScale, RGB or CMYK.
    `static OutputProfile.Feature` | `HeaderNotAtStart` There is junk in the PDF file before the "%PDF-" marker
    `static OutputProfile.Feature` | `HintsAreDamaged` The linearized PDF contains a hints table that is damaged.
    `static OutputProfile.Feature` | `ICCProfileBadColorComponentCount` The PDF contains an ICC ColorProfile where the specified number of Colors does not match the actual number specified by the profile (not part of basic profile).
    `static OutputProfile.Feature` | `ICCProfileNotOutput` The PDF contains an OutputIntent with an embedded ICC profile that's not an Output (class=prtr) ICC Profile.
    `static OutputProfile.Feature` | `ICCProfileNotOutputOrDisplay` The PDF contains an OutputIntent with an embedded ICC profile that's not an Output (class=prtr) or Display (class=mntr) ICC Profile.
    `static OutputProfile.Feature` | `ICCProfileUnusualColorSpace` The PDF contains an OutputIntent with an embedded ICC profile that's not Gray, RGB or CMYK.
    `static OutputProfile.Feature` | `ICCProfileVersion1` The PDF uses an embedded ICC profile version 1 (not part of basic profile).
    `static OutputProfile.Feature` | `ICCProfileVersion2` The PDF uses an embedded ICC profile version 2 (not part of basic profile).
    `static OutputProfile.Feature` | `ICCProfileVersion3` The PDF uses an embedded ICC profile version 3 (not part of basic profile).
    `static OutputProfile.Feature` | `ICCProfileVersion4` The PDF uses an embedded ICC profile version 4 (not part of basic profile).
    `static OutputProfile.Feature` | `ImageDepth1` The PDF contains 1-bit images (not part of basic profile)
    `static OutputProfile.Feature` | `ImageDepth16` The PDF contains 16-bit images (not part of basic profile). 16-bit images were added in Acrobat 6.0 and are not accepted by PDF/X
    `static OutputProfile.Feature` | `ImageDepth2` The PDF contains 2-bit images (not part of basic profile)
    `static OutputProfile.Feature` | `ImageDepth4` The PDF contains 4-bit images (not part of basic profile)
    `static OutputProfile.Feature` | `ImageDepth8` The PDF contains 8-bit images (not part of basic profile)
    `static OutputProfile.Feature` | `ImageLengthIncorrect` The PDF contains an image which has less data than its width and height demand.
    `static OutputProfile.Feature` | `ImagePluginHeader` The PDF should be marked as "image only".
    `static OutputProfile.Feature` | `ImageTransparency` The PDF contains images with Transparency (not part of basic profile).
    `static OutputProfile.Feature` | `ImperfectWhitespace` The PDF contains whitespace which is valid, but does not meet the stricter requirements for PDF/A.
    `static OutputProfile.Feature` | `IndirectObjectOverflow` The PDF contains more than 8388607 indirect objects.
    `static OutputProfile.Feature` | `InfoMeetsPDFA1a_2005` The PDF Info Dictionary meets the requirements for PDF/A-1a:2005 (not part of basic profile).
    `static OutputProfile.Feature` | `InfoMeetsPDFA1b_2005` The PDF Info Dictionary meets the requirements for PDF/A-1b:2005 (not part of basic profile).
    `static OutputProfile.Feature` | `InfoMeetsPDFA1b_2005_Acrobat7` The PDF Info Dictionary meets the requirements for the incorrect variation of PDF/A-1b:2005 created and required by Acrobat 7 (not part of basic profile).
    `static OutputProfile.Feature` | `InfoMeetsPDFA2a` The PDF Info Dictionary meets the requirements for PDF/A-2a (not part of basic profile).
    `static OutputProfile.Feature` | `InfoMeetsPDFA2b` The PDF Info Dictionary meets the requirements for PDF/A-2b (not part of basic profile).
    `static OutputProfile.Feature` | `InfoMeetsPDFA2u` The PDF Info Dictionary meets the requirements for PDF/A-2u (not part of basic profile).
    `static OutputProfile.Feature` | `InfoMeetsPDFA3a` The PDF Info Dictionary meets the requirements for PDF/A-3a (not part of basic profile).
    `static OutputProfile.Feature` | `InfoMeetsPDFA3b` The PDF Info Dictionary meets the requirements for PDF/A-3b (not part of basic profile).
    `static OutputProfile.Feature` | `InfoMeetsPDFA3u` The PDF Info Dictionary meets the requirements for PDF/A-3u (not part of basic profile).
    `static OutputProfile.Feature` | `InfoMeetsPDFX1a_2001` The PDF Info Dictionary meets the requirements for PDF/X-1a:2001.
    `static OutputProfile.Feature` | `InfoMeetsPDFX1a_2003` The PDF Info Dictionary meets the requirements for PDF/X-1a:2003.
    `static OutputProfile.Feature` | `InfoMeetsPDFX3_2002` The PDF Info Dictionary meets the requirements for PDF/X-3:2002.
    `static OutputProfile.Feature` | `InfoMeetsPDFX3_2003` The PDF Info Dictionary meets the requirements for PDF/X-3:2003.
    `static OutputProfile.Feature` | `InlineImage` The PDF contains an inline image (not part of basic profile).
    `static OutputProfile.Feature` | `IntegerOverflow` The PDF contains an Integer > ±231-1.
    `static OutputProfile.Feature` | `InterpolatedImage` The PDF contains at least one interpolated image (not part of basic profile)
    `static OutputProfile.Feature` | `InvalidColorProfile` The PDF contains an invalid ICC ColorProfile.
    `static OutputProfile.Feature` | `InvalidFont` The PDF contains a Font that is damaged or otherwise invalid.
    `static OutputProfile.Feature` | `JavaScript` The PDF has JavaScript (not part of basic profile).
    `static OutputProfile.Feature` | `JPXColorSpaceLab` The PDF contains a JPX stream that uses a L*a*b* ColorSpace.
    `static OutputProfile.Feature` | `JPXContentMismatch` The PDF contains a JPX stream where the external values (for width, height or colorspace) don't match the values defined by the stream.
    `static OutputProfile.Feature` | `JPXNotBaseline` The PDF contains a JPX stream that is does not mee the "baseline" requirements for JPX in PDF.
    `static OutputProfile.Feature` | `JunkAfterHeader` There is junk in the PDF file immmediately after the header line.
    `static OutputProfile.Feature` | `LanguageSpecified` The PDF has a Language tag, indicating the natural language of the document
    `static OutputProfile.Feature` | `LegacyNamedActions` The PDF contains an old-style Map of `PDFAction` referenced by name.
    `static OutputProfile.Feature` | `Linearized` The PDF is Linearized (also known as web ready).
    `static OutputProfile.Feature` | `LinearizedLoader` The PDF is `Linearized` and has been loaded using the Linearized Loader.
    `static OutputProfile.Feature` | `MagentaSeparation` The PDF uses a Separation colorspace with an ink name of Magenta (not part of basic profile).
    `static OutputProfile.Feature` | `MarkedProperty` The PDF contains marked-content operators with property lists (either a DP or a BDC)
    `static OutputProfile.Feature` | `MaximumCompression` The PDF should be compressed using the maximum level of compression.
    `static OutputProfile.Feature` | `MergeResources` When merging multiple PDFs, if this feature is set then the PDF will be scanned on `render` and duplicate resources (such as fonts and images) merged if possible.
    `static OutputProfile.Feature` | `MissingTrimAndArtBox` The PDF has pages missing both Art and Trim boxes (not part of basic profile).
    `static OutputProfile.Feature` | `MultipleRevisions` The PDF has multiple revisions.
    `static OutputProfile.Feature` | `NamedActions` The PDF contains a Map of `PDFAction` referenced by name.
    `static OutputProfile.Feature` | `NameNotUTF8` The PDF contains a Name representing a String which is not a valid UTF-8 byte sequence.
    `static OutputProfile.Feature` | `NameOverflow` The PDF contains a Name > 127 bytes.
    `static OutputProfile.Feature` | `NeedAppearancesNotFalse` The NeedAppearances flag of the Form dictionary is set.
    `static OutputProfile.Feature` | `NestingOverflow` The PDF contains q/Q operations that nest more than 28 deep.
    `static OutputProfile.Feature` | `NoEOLStream` The PDF contains a Stream without a traling EOL character.
    `static OutputProfile.Feature` | `NoFourByteComment` The four-byte binary comment immediately after the "%PDF-" marker and recommended by Adobe is missing
    `static OutputProfile.Feature` | `NoMediaBox` The PDF contains a page with no media box.
    `static OutputProfile.Feature` | `NonPopupAnnotationPrintFlagNotSet` The PDF contains a non-popup Annotation that is set not to print.
    `static OutputProfile.Feature` | `NonStandardEncryption` The PDF is encrypted with a handler other than the `StandardEncryptionHandler`
    `static OutputProfile.Feature` | `NonSymbolicTrueTypeWithoutCMap` The PDF embeds a non-symbolic TrueType font with no CMap This is not allowed in PDF/A-2 or later (not part of basic profile).
    `static OutputProfile.Feature` | `NonSymbolicTrueTypeWithoutMacRomanOrWinAnsiEncoding` The PDF embeds a non-symbolic TrueType font without a MacRoman or WinAnsi Encoding.
    `static OutputProfile.Feature` | `NonSymbolicTrueTypeWithoutPureMacRomanOrWinAnsiEncoding` The PDF embeds a non-symbolic TrueType font that is a valid variation on MacRoman or WinAnsi Encoding.
    `static OutputProfile.Feature` | `NotdefGlyph` The PDF contains a reference to the .notdef named glyph This is not allowed in PDF/A-2 and later (not part of basic profile).
    `static OutputProfile.Feature` | `OddHexString` The PDF contains a Hex string with an odd length.
    `static OutputProfile.Feature` | `OPI` An image or Form XObject contains OPI (Open Prepress Interface) comments.
    `static OutputProfile.Feature` | `OptionalContent` The PDF has pages with optional content (not part of basic profile).
    `static OutputProfile.Feature` | `OptionalContentOrderIncomplete` The PDF contains an Optional Content Configuration dictionary which specifies an Order, but the Order doesn't list every Optional Content Group in the PDF.
    `static OutputProfile.Feature` | `OptionalContentUsageApplication` The PDF contains an Optional Content Configuration dictionary which specifies the AS (Usage Application) Dictionary.
    `static OutputProfile.Feature` | `OptionalContentWithDuplicateName` The PDF contains an Optional Content Configuration Dictionary which duplicates the name of another dictionary.
    `static OutputProfile.Feature` | `OptionalContentWithoutName` The PDF contains an Optional Content Configuration Dictionary with no name.
    `static OutputProfile.Feature` | `OutputIntentReferenceProfile` The PDF contains an OutputIntent where ColorSpace is referenced rather than embedded.
    `static OutputProfile.Feature` | `Overprint` The PDF uses Overprinting, which usually requires special settings to reproduce correctly on a subtractive output device such as a screen.
    `static OutputProfile.Feature` | `OverprintInICCCMYK` The PDF uses overprinting in an ICC-based CMYK profile.
    `static OutputProfile.Feature` | `PageDimensionsOutOfBounds` The PDF contains a `PDFPage` which has a `box` that has a width or height < 3 or > 14440.
    `static OutputProfile.Feature` | `PageLabels` The PDF has page labels.
    `static OutputProfile.Feature` | `PageTemplates` The PDF has Page Templates - named pages which are not visibile in the document, but which can be used to create other pages dynamically using JavaScript.
    `static OutputProfile.Feature` | `PDFAExtensionSchemaBadPrefix` The XMP metadata contains a PDF/A extension schema which has a bad prefix.
    `static OutputProfile.Feature` | `PDFAExtensionSchemaBadSchema` The XMP metadata contains a PDF/A extension schema which has a bad prefix.
    `static OutputProfile.Feature` | `PDFAExtensionSchemaNamespaceInvalid` The XMP metadata contains a PDF/A extension schema which has a namespace URI that doesn't end in '#' or '/'.
    `static OutputProfile.Feature` | `PDFAExtensionSchemaNoDescription` The XMP metadata contains a PDF/A extension schema which has no description for a property.
    `static OutputProfile.Feature` | `PDFAExtensionSchemaNoValueType` The XMP metadata contains a PDF/A extension schema which has a valueType for a property.
    `static OutputProfile.Feature` | `PDFAExtensionSchemaUndefined` The PDF contains XMP metadata with an extension schema that is undefined.
    `static OutputProfile.Feature` | `PDFAExtensionSchemaUndefinedValueType` The XMP metadata contains a PDF/A extension schema which has an undefined value type for a property.
    `static OutputProfile.Feature` | `PDFAExtensionSchemaValueTypeMismatch` The XMP metadata contains a PDF/A extension schema which has an incompatible type for a property.
    `static OutputProfile.Feature` | `PDFVersion10` The PDF header describes it as version 1.0
    `static OutputProfile.Feature` | `PDFVersion11` The PDF header describes it as version 1.1
    `static OutputProfile.Feature` | `PDFVersion12` The PDF header describes it as version 1.2 (compatible with Acrobat 3.x).
    `static OutputProfile.Feature` | `PDFVersion13` The PDF header describes it as version 1.3 (compatible with Acrobat 4.x).
    `static OutputProfile.Feature` | `PDFVersion14` The PDF header describes it as version 1.4 (compatible with Acrobat 5.x).
    `static OutputProfile.Feature` | `PDFVersion15` The PDF header describes it as version 1.5 (compatible with Acrobat 6.x).
    `static OutputProfile.Feature` | `PDFVersion16` The PDF header describes it as version 1.6 (compatible with Acrobat 7.x).
    `static OutputProfile.Feature` | `PDFVersion17` The PDF header describes it as version 1.7 with no extension level (compatible with Acrobat 8.x and ISO 32000-1:2008).
    `static OutputProfile.Feature` | `PDFVersion17e3` The PDF header describes it as version 1.7 with an ExtensionLevel of 3 (compatible with Acrobat 9.x and ISO 32000-1:2008 extension 3).
    `static OutputProfile.Feature` | `PDFVersion17e5` The PDF header describes it as version 1.7 with an ExtensionLevel of 5 (compatible with Acrobat 9.1 and ISO 32000-1:2008 extension 5).
    `static OutputProfile.Feature` | `PDFVersion17e8` The PDF header describes it as version 1.7 with an ExtensionLevel of 8 (compatible with Acrobat X).
    `static OutputProfile.Feature` | `PDFVersion20` The PDF header describes it as version 2.0 If this feature is denied when an OutputProfile is applied, then the version number will be downgraded
    `static OutputProfile.Feature` | `PermissionsWithDocMDPAndDigest` The PDF contains a permissions dictionary with a DocMDP entry containing signature references with a digest (not part of basic profile).
    `static OutputProfile.Feature` | `PermissionsWithUnknownEntry` The PDF contains a permissions dictionary with an entry other than DocMDP or UR3 (not part of basic profile).
    `static OutputProfile.Feature` | `PopupAnnotationPrintFlagNotSet` The PDF contains a popup annotation that is set not to print.
    `static OutputProfile.Feature` | `Portfolio` The PDF is a PDF Portfolio, a collection of PDF documents stored as attachments to the parent.
    `static OutputProfile.Feature` | `PortfolioFolders` The PDF is a PDF `Portfolio` and contains subfolders.
    `static OutputProfile.Feature` | `PostScriptXObject` The PDF contains a PostScript XObject (not part of basic profile).
    `static OutputProfile.Feature` | `PublicKeyEncryption` The PDF is encrypted with a Public Key.
    `static OutputProfile.Feature` | `PurgeResources` When saving a modified PDF, in general the PDF API will not include items that have been removed from the document.
    `static OutputProfile.Feature` | `PushButtonAppearanceIsDictionary` The PDF contains a push-button annotation with an N entry that is a Dictionary containing a Stream.
    `static OutputProfile.Feature` | `PushButtonAppearanceIsStream` The PDF contains a push-button annotation with an N entry that is a Stream.
    `static OutputProfile.Feature` | `RadioButtonAppearanceIsDictionary` The PDF contains a radio-button or checkbox annotation with an N entry that is a Dictionary containing a Stream.
    `static OutputProfile.Feature` | `RadioButtonAppearanceIsStream` The PDF contains a radio-button or checkbox annotation with an N entry that is a Stream.
    `static OutputProfile.Feature` | `ReaderExtensions` The PDF contains Reader Extensions.
    `static OutputProfile.Feature` | `RealOverflow` The PDF contains a real number > ±3.4028234 × 1038, which is the maximum size for a 32-bit float under IEEE754.
    `static OutputProfile.Feature` | `RealOverflow14` The PDF contains a real number greater than 32767 or less than -32767.
    `static OutputProfile.Feature` | `RealOverflowPDFA` The PDF contains a real number > ±3.403 × 1038 - this is not recommended in PDF and disallowed by PDF/A-2 and later.
    `static OutputProfile.Feature` | `RealUnderflow` The PDF contains a real number < ±1.175 × 10-38.
    `static OutputProfile.Feature` | `RedGreenBlueSeparation` The PDF uses a Separation colorspace with an ink name of Red, Green or Blue.
    `static OutputProfile.Feature` | `ReferenceXObject` The PDF contains a Reference XObject (not part of basic profile).
    `static OutputProfile.Feature` | `RegularCompression` The PDF should be compressed.
    `static OutputProfile.Feature` | `RenderingIntent` The PDF contains operations to set the Rendering Intent (not part of basic profile).
    `static OutputProfile.Feature` | `RenderingIntentUnknown` The PDF contains a Rendering Intent that is not one of the values defined in the PDF specification (not part of basic profile)
    `static OutputProfile.Feature` | `ShadingPattern` The PDF contains a shading pattern (not part of basic profile).
    `static OutputProfile.Feature` | `SignatureCoverageIncomplete` The PDF contains a digital signature which does not cover a full revision of the file.
    `static OutputProfile.Feature` | `SignatureHasMultipleSigners` The PDF contains a digital signature with multiple signers.
    `static OutputProfile.Feature` | `SignaturePAdES` The PDF contains a digital siganture which matches the PAdES standards.
    `static OutputProfile.Feature` | `SignaturePKCS7Invalid` The PDF contains a digital signature which claims to be PKCS#7 but has either: An invalid PKCS#7 object A valid PKCS#7 object but with multiple `SignerInfo` objects A valid PKCS#7 object but with the signer certificate not included This is not allowed in PDF/A-2 and later (not part of basic profile)
    `static OutputProfile.Feature` | `SinglePixelImage` The PDF contains a 1x1 pixel bitmap image.
    `static OutputProfile.Feature` | `Slideshow` The PDF defines a Slideshow or another type of alternate presentation.
    `static OutputProfile.Feature` | `StreamContainsFormXObject` The PDF contains a stream with a Form XObject (not part of basic profile)
    `static OutputProfile.Feature` | `StreamContainsPathOperators` The PDF contains a stream with path operations (not part of basic profile)
    `static OutputProfile.Feature` | `StreamContainsText` The PDF contains a stream with text operations (not part of basic profile)
    `static OutputProfile.Feature` | `StreamLengthIncorrect` The PDF contains a Stream with an invalid Length.
    `static OutputProfile.Feature` | `StringOverflow` The PDF contains a String > 65535 bytes.
    `static OutputProfile.Feature` | `SubPageNavigation` Ths PDF contains sub-page navigation on a Page, by means of the "PresSteps" key.
    `static OutputProfile.Feature` | `SymbolicTrueTypeEncodingAmbiguous` The PDF embeds a symbolic TrueType font with a single encoding, but that encoding is not 3/0.
    `static OutputProfile.Feature` | `SymbolicTrueTypeWithEncodingEntry` The PDF embeds a symbolic TrueType font with an Encoding entry specified.
    `static OutputProfile.Feature` | `SymbolicTrueTypeWithoutOneEncoding` The PDF embeds a symbolic TrueType with more than one Encoding.
    `static OutputProfile.Feature` | `TaggedPDF` The PDF is a "Tagged PDF".
    `static OutputProfile.Feature` | `Thumbnails` The PDF has Thumbnails included with the document.
    `static OutputProfile.Feature` | `TooManyCIDs` The PDF contains a CMap which has > 65535 CIDs.
    `static OutputProfile.Feature` | `TrailerNotAtEnd` There is junk in the PDF file following the %%EOF marker
    `static OutputProfile.Feature` | `TransferFunction` The PDF contains a Transfer function (not part of basic profile).
    `static OutputProfile.Feature` | `TransferFunctionIsDefault` The PDF contains a Transfer function of Default (not part of basic profile).
    `static OutputProfile.Feature` | `TransferFunctionIsIdentity` The PDF contains a Transfer function of Identity (not part of basic profile).
    `static OutputProfile.Feature` | `TransferFunctionIsOther` The PDF contains a Transfer function (not part of basic profile).
    `static OutputProfile.Feature` | `Transparency` The PDF contains transparency (not part of basic profile).
    `static OutputProfile.Feature` | `TransparencyGroup` The PDF contains a Transparency Group (not part of basic profile).
    `static OutputProfile.Feature` | `TrueTypeIsTricky` The PDF embeds a TrueType font which using the hinting program to shape the glyphs.
    `static OutputProfile.Feature` | `UncompressedXRef` The PDF has the regular old-style XRef table.
    `static OutputProfile.Feature` | `UnembeddedCMap` The PDF contains a CID font with an unembedded CMap not listed in the PDF specification.
    `static OutputProfile.Feature` | `UnembeddedNonStandardSymbolicFont` The PDF contains an unembedded font which is marked as Symbolic and which is not one of the ones guaranteed to be available to Acrobat.
    `static OutputProfile.Feature` | `UnembeddedStandardCMap` The PDF contains a CID font with an unembedded CMap listed in the PDF specification other than Identity-H or Identity-V.
    `static OutputProfile.Feature` | `UnknownBlendMode` The PDF specifies an unknown blend mode.
    `static OutputProfile.Feature` | `UnknownOutputIntentRegistry` The PDF contains an OutputIntent which is not in the http://www.color.org Registry
    `static OutputProfile.Feature` | `UnknownOutputIntentRegistryWithoutProfile` The PDF contains an OutputIntent which is not in the http://www.color.org Registry and does not reference an embedded ICC profile
    `static OutputProfile.Feature` | `UnknownStreamOperator` The PDF contains a content stream with an unknown operator (not part of basic profile)
    `static OutputProfile.Feature` | `UTF16Encoding` The PDF embeds a font that requires UTF-16 encoding.
    `static OutputProfile.Feature` | `VerticalText` The PDF contains text in a font with a vertical writing direction (not part of basic profile)
    `static OutputProfile.Feature` | `ViewBoxNotBleedBox` If BleedBox is present and if the ViewerPreferences dictionary contains the ViewArea, ViewClip, PrintArea or PrintClip keys, each of these keys present must be MediaBox or BleedBox for PDF/X-1:2003 and PDF/X-3:2003 (not part of basic profile)
    `static OutputProfile.Feature` | `WeakAES256Encryption` The PDF is encrypted with the deprecated form of 256-bit AES encryption defined in ISO 32000-1:2008 extension 3.
    `static OutputProfile.Feature` | `XFAForm` The PDF contains an XFA Form.
    `static OutputProfile.Feature` | `XFAForm20` The PDF contains an XFA Form matching version 2.0 of the XFA specification.
    `static OutputProfile.Feature` | `XFAForm22` The PDF contains an XFA Form matching version 2.2 of the XFA specification.
    `static OutputProfile.Feature` | `XFAForm24` The PDF contains an XFA Form matching version 2.4 of the XFA specification.
    `static OutputProfile.Feature` | `XFAForm25` The PDF contains an XFA Form matching version 2.5 of the XFA specification.
    `static OutputProfile.Feature` | `XFAForm26` The PDF contains an XFA Form matching version 2.6 of the XFA specification.
    `static OutputProfile.Feature` | `XFAForm27` The PDF contains an XFA Form matching version 2.7 of the XFA specification.
    `static OutputProfile.Feature` | `XFAForm28` The PDF contains an XFA Form matching version 2.8 of the XFA specification.
    `static OutputProfile.Feature` | `XFAForm30` The PDF contains an XFA Form matching version 3.0 of the XFA specification.
    `static OutputProfile.Feature` | `XFAForm31` The PDF contains an XFA Form matching version 3.1 of the XFA specification.
    `static OutputProfile.Feature` | `XFAFormIsStream` The PDF contains an XFA Form which is stored as a single stream.
    `static OutputProfile.Feature` | `XMPMetaData` The PDF has XMP Metadata.
    `static OutputProfile.Feature` | `XMPMetaDataDescribesMultipleResources` The PDF contains XMP metadata containing RDF resource descriptors for multiple objects.
    `static OutputProfile.Feature` | `XMPMetaDataHasMixedResourceDescriptors` The PDF contains XMP metadata containing RDF resource descriptors which are a mix of the empty string and the non-empty string.
    `static OutputProfile.Feature` | `XMPMetaDataInfoMismatch` The PDF contains entries in its information dictionary that do not match the corresponding entries in its XMP metadata.
    `static OutputProfile.Feature` | `XMPMetaDataInfoMismatchTrailingZero` The PDF contains entries in its information dictionary that do not match exactly the corresponding entries in its XMP metadata - the values in the Information dictionary have a single additional trailing NUL byte.
    `static OutputProfile.Feature` | `XMPMetaDataIsFiltered` The PDF contains XMPMetadata that is encoded using a filter.
    `static OutputProfile.Feature` | `XMPMetaDataXpacketDeprecatedAttributes` The PDF contains XMP metadata which makes use of the deprecated attributes "bytes" or "encoding" in the xpacket header.
    `static OutputProfile.Feature` | `XMPMetaDataXpacketFormatError` The PDF contains a malformed xpacket header in its XMP metadata.
    `static OutputProfile.Feature` | `XMPMetaDataXpacketUnknownAttributes` The PDF contains XMP metadata with an xpacket that contains unknown attributes.
    `static OutputProfile.Feature` | `YellowSeparation` The PDF uses a Separation colorspace with an ink name of Yellow (not part of basic profile).
    `static OutputProfile.Feature` | `ZeroWidthLine` The PDF contains a zero-width line (not part of basic profile).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Get a brief textual description of the Feature
    `String` | `getFieldName()` Return the name of the field this feature is declared as in this class, eg "PDFVersion15" for `PDFVersion15`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static final OutputProfile.Feature[] ALL

      This array lists all the Features, for easy iteration.

    - #### PDFVersion10

          public static final OutputProfile.Feature PDFVersion10

      The PDF header describes it as version 1.0

    - #### PDFVersion11

          public static final OutputProfile.Feature PDFVersion11

      The PDF header describes it as version 1.1

    - #### PDFVersion12

          public static final OutputProfile.Feature PDFVersion12

      The PDF header describes it as version 1.2 (compatible with Acrobat 3.x).

    - #### PDFVersion13

          public static final OutputProfile.Feature PDFVersion13

      The PDF header describes it as version 1.3 (compatible with Acrobat 4.x). If this feature is denied when an OutputProfile is applied, then the version number will be downgraded

    - #### PDFVersion14

          public static final OutputProfile.Feature PDFVersion14

      The PDF header describes it as version 1.4 (compatible with Acrobat 5.x). If this feature is denied when an OutputProfile is applied, then the version number will be downgraded

    - #### PDFVersion15

          public static final OutputProfile.Feature PDFVersion15

      The PDF header describes it as version 1.5 (compatible with Acrobat 6.x). If this feature is denied when an OutputProfile is applied, then the version number will be downgraded

    - #### PDFVersion16

          public static final OutputProfile.Feature PDFVersion16

      The PDF header describes it as version 1.6 (compatible with Acrobat 7.x). If this feature is denied when an OutputProfile is applied, then the version number will be downgraded

    - #### PDFVersion17

          public static final OutputProfile.Feature PDFVersion17

      The PDF header describes it as version 1.7 with no extension level (compatible with Acrobat 8.x and ISO 32000-1:2008). If this feature is denied when an OutputProfile is applied, then the version number will be downgraded

    - #### PDFVersion17e3

          public static final OutputProfile.Feature PDFVersion17e3

      The PDF header describes it as version 1.7 with an ExtensionLevel of 3 (compatible with Acrobat 9.x and ISO 32000-1:2008 extension 3). If this feature is denied when an OutputProfile is applied, then the version number will be downgraded
      Since:
        2.11.23

    - #### PDFVersion17e5

          public static final OutputProfile.Feature PDFVersion17e5

      The PDF header describes it as version 1.7 with an ExtensionLevel of 5 (compatible with Acrobat 9.1 and ISO 32000-1:2008 extension 5). If this feature is denied when an OutputProfile is applied, then the version number will be downgraded
      Since:
        2.11.23

    - #### PDFVersion17e8

          public static final OutputProfile.Feature PDFVersion17e8

      The PDF header describes it as version 1.7 with an ExtensionLevel of 8 (compatible with Acrobat X). If this feature is denied when an OutputProfile is applied, then the version number will be downgraded
      Since:
        2.11.23

    - #### PDFVersion20

          public static final OutputProfile.Feature PDFVersion20

      The PDF header describes it as version 2.0 If this feature is denied when an OutputProfile is applied, then the version number will be downgraded
      Since:
        2.11.23

    - #### HasDocID

          public static final OutputProfile.Feature HasDocID

      The PDF has a Document ID set. All PDFs saved by this library have a Document ID, even if one isn't there when the PDF is read in.

    - #### DocIDMismatch

          public static final OutputProfile.Feature DocIDMismatch

      The PDF is Linearized, but has a mismatch between the Document ID in the final trailer and the Document ID in the first page trailer. This is not allowed in PDF/A-1.
      Since:
        2.11.5

    - #### DocIDMissing

          public static final OutputProfile.Feature DocIDMissing

      The PDF is missing the Document ID in the primary trailer. This is not allowed in PDF/A-1.
      Since:
        2.17.1

    - #### HasTitle

          public static final OutputProfile.Feature HasTitle

      The PDF Info dictionary has a Title set

    - #### HasAuthor

          public static final OutputProfile.Feature HasAuthor

      The PDF Info dictionary has an Author set

    - #### HasSubject

          public static final OutputProfile.Feature HasSubject

      The PDF Info dictionary has a Subject set

    - #### HasProducer

          public static final OutputProfile.Feature HasProducer

      The PDF Info dictionary has a Producer set

    - #### HasCreator

          public static final OutputProfile.Feature HasCreator

      The PDF Info dictionary has a Creator set

    - #### HasCreationDate

          public static final OutputProfile.Feature HasCreationDate

      The PDF Info dictionary has a Creation Date set

    - #### HasModDate

          public static final OutputProfile.Feature HasModDate

      The PDF Info dictionary has a Modification Date set. When a PDF is written with the PDF library a modification date is always applied, but some documents read in may be missing one.

    - #### HasTrapped

          public static final OutputProfile.Feature HasTrapped

      The PDF Info dictionary has a Trapped key. PDF/X requires this to be set to "true" or "false - "unknown" is not allowed

    - #### Linearized

          public static final OutputProfile.Feature Linearized

      The PDF is Linearized (also known as web ready). Linearized PDFs may be read by the library, and setting this feature to "required" will cause them to be written as well.

    - #### LinearizedLoader

          public static final OutputProfile.Feature LinearizedLoader

      The PDF is `Linearized` and has been loaded using the Linearized Loader. This implies the PDF may still be loading.
      Since:
        2.14

    - #### MultipleRevisions

          public static final OutputProfile.Feature MultipleRevisions

      The PDF has multiple revisions. Typically this applies only to documents that have been digitally signed and then amended.

      Setting this feature to "required" will cause the document to be rendered with revisions, even if they are not required by the Document structure. Although rendering with revisions does increase the size of the document marginally, it does mean that the PDF file will only be appended to - any existing objects in the PDF will remain in the same file position. The only time this really matters is when a PDF has been read in using the `PDFReader(File)` constructor, and you want to write back to the same file. In this case the PDF file is used as a buffer, which means if your code looks like this...

           File file = new File("file.pdf");
           PDF pdf = new PDF(new PDFReader(file));
           File tempfile = new File("temp.pdf");
           OutputStream out = new FileOutputStream(tempfile);
           pdf.render(out);
           out.close();
           tempfile.renameTo(file);

      ... you need to use this approach. You should always use a temporary file if you're doing this - writing to the same file you're reading from is not guaranteed to work, even with this setting.
      Since:
        2.0, with the ability to set this feature as "required" added in 2.11.2

    - #### UncompressedXRef

          public static final OutputProfile.Feature UncompressedXRef

      The PDF has the regular old-style XRef table. This is required to load the document in Acrobat prior to Acrobat 6.0, and it may be stored alongside a Compressed XRef for compatibility.

    - #### CompressedXRef

          public static final OutputProfile.Feature CompressedXRef

      The PDF has a Compressed XRef table. These were added in Acrobat 6.0 and can drastically reduce the size of the file, unless they are used alongside the Normal XRef table (in which case they actually increase the file size). The PDF library can read both and will write on or the other, but currently not both, so settting this feature means the PDF will not load prior to Acrobat 6.0

    - #### Bookmarks

          public static final OutputProfile.Feature Bookmarks

      The PDF has a Bookmarks tree, as returned by `PDF.getBookmarks()`. If this feature is denied when an OutputProfile is applied, then the Bookmarks will be removed.

    - #### Thumbnails

          public static final OutputProfile.Feature Thumbnails

      The PDF has Thumbnails included with the document. This can make the PDF bigger then necessary, as these can be easily generated on the fly.
      Since:
        2.11.8

    - #### PageLabels

          public static final OutputProfile.Feature PageLabels

      The PDF has page labels. If this feature is denied when an OutputProfile is applied, then the labels will be removed.
      Since:
        2.10.3

    - #### Articles

          public static final OutputProfile.Feature Articles

      The PDF contains "Articles" (sometimes known as Threads). If this feature is denied when an OutputProfile is applied, then all Articles will be removed from the PDF. Note articles cannot be added or edited with this API.
      Since:
        2.7.1

    - #### TaggedPDF

          public static final OutputProfile.Feature TaggedPDF

      The PDF is a "Tagged PDF".
      Since:
        2.8.3

    - #### LanguageSpecified

          public static final OutputProfile.Feature LanguageSpecified

      The PDF has a Language tag, indicating the natural language of the document

    - #### ReaderExtensions

          public static final OutputProfile.Feature ReaderExtensions

      The PDF contains Reader Extensions. These are added by LiveCycle or Acrobat to grant additional rights on the PDF in Acrobat Reader, such as the ability to complete forms. Modifying a Reader-extension enabled PDF can be done with the PDF library, but care must be taken not to invalidate the document during this process. Typically you should not alter the PDF in any way other than by setting the value of form fields or signing signature fields. If this feature is denied, the Reader Extensions will be removed and the document can be edited as normal.

    - #### XMPMetaData

          public static final OutputProfile.Feature XMPMetaData

      The PDF has XMP Metadata. XMP Metadata is added by default unless this feature is specifically denied, as it's a good idea and backwards compatible with Acrobat 4.0 and earlier. If this feature is denied when an OutputProfile is applied, then the Metadata will be removed.

    - #### BadXMPMetaData

          public static final OutputProfile.Feature BadXMPMetaData

      The PDF contains XMPMetadata that does not meet the XMP specification. This is not allowed in PDF/A
      Since:
        2.6.7

    - #### XMPMetaDataIsFiltered

          public static final OutputProfile.Feature XMPMetaDataIsFiltered

      The PDF contains XMPMetadata that is encoded using a filter. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.11.5

    - #### XMPMetaDataInfoMismatch

          public static final OutputProfile.Feature XMPMetaDataInfoMismatch

      The PDF contains entries in its information dictionary that do not match the corresponding entries in its XMP metadata. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.11.5

    - #### XMPMetaDataInfoMismatchTrailingZero

          public static final OutputProfile.Feature XMPMetaDataInfoMismatchTrailingZero

      The PDF contains entries in its information dictionary that do not match exactly the corresponding entries in its XMP metadata - the values in the Information dictionary have a single additional trailing NUL byte. This is arguably not allowed in PDF/A, but Acrobat (amongst others) seems to allow it, so we distinguish this feature to allow results to match Acrobat. (not part of basic profile).
      Since:
        2.17

    - #### XMPMetaDataDescribesMultipleResources

          public static final OutputProfile.Feature XMPMetaDataDescribesMultipleResources

      The PDF contains XMP metadata containing RDF resource descriptors for multiple objects. This is invalid in RDF and so will invalidate the XMP metadata.
      Since:
        2.14

    - #### XMPMetaDataHasMixedResourceDescriptors

          public static final OutputProfile.Feature XMPMetaDataHasMixedResourceDescriptors

      The PDF contains XMP metadata containing RDF resource descriptors which are a mix of the empty string and the non-empty string. This is not allowed in XMP but was common practice in earlier revisions of a lot of software, including our own API and Acrobat.

      # Opinion

      The XMP specification recommends this is tolerated so we allow it for PDF/A, but but can be set as invalid to match the behaviour of some other toolkits. Acrobat 9, X and XI all disallow it in PDF/A-1 and later. The BFO API will always create files that don't set this feature (i.e. that meet the stricter definition of this rule), but be aware that calling `PDF.setMetaData(java.lang.String)` with your own custom XMP metadata will allow you to bypass this test. If you want to be sure when you do this, set the feature as denied on your OutputProfile, eg:

           PDF pdf = new PDF();
           OutputProfile profile = new OutputProfile(OutputProfile.PDFA1b_2005, ...);
           profile.setDenied(OutputProfile.Feature.XMPMetaDataHasMixedResourceDescriptors);
           pdf.setOutputProfile(profile);
           pdf.setMetaData(yourdata);

      Since:
        2.14

    - #### XMPMetaDataXpacketFormatError

          public static final OutputProfile.Feature XMPMetaDataXpacketFormatError

      The PDF contains a malformed xpacket header in its XMP metadata. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.11.5

    - #### XMPMetaDataXpacketDeprecatedAttributes

          public static final OutputProfile.Feature XMPMetaDataXpacketDeprecatedAttributes

      The PDF contains XMP metadata which makes use of the deprecated attributes "bytes" or "encoding" in the xpacket header. This is not allowed in PDF/A (not part of basic profile).

    - #### XMPMetaDataXpacketUnknownAttributes

          public static final OutputProfile.Feature XMPMetaDataXpacketUnknownAttributes

      The PDF contains XMP metadata with an xpacket that contains unknown attributes. This is not allowed in PDF/A (not part of basic profile).

    - #### PDFAExtensionSchemaUndefined

          public static final OutputProfile.Feature PDFAExtensionSchemaUndefined

      The PDF contains XMP metadata with an extension schema that is undefined. This is not allowed in PDF/A (not part of basic profile).

    - #### PDFAExtensionSchemaNamespaceInvalid

          public static final OutputProfile.Feature PDFAExtensionSchemaNamespaceInvalid

      The XMP metadata contains a PDF/A extension schema which has a namespace URI that doesn't end in '#' or '/'. This slightly absurd requirement is stricter than the recommendation in the XMP specification, but it's how the rule is enforced in Acrobat so has become the de-facto standard (not part of basic profile).
      Since:
        2.15.3

    - #### PDFAExtensionSchemaBadPrefix

          public static final OutputProfile.Feature PDFAExtensionSchemaBadPrefix

      The XMP metadata contains a PDF/A extension schema which has a bad prefix. This is not allowed by PDF/A (not part of basic profile).

    - #### PDFAExtensionSchemaBadSchema

          public static final OutputProfile.Feature PDFAExtensionSchemaBadSchema

      The XMP metadata contains a PDF/A extension schema which has a bad prefix. This is not allowed by PDF/A (not part of basic profile).

    - #### PDFAExtensionSchemaNoValueType

          public static final OutputProfile.Feature PDFAExtensionSchemaNoValueType

      The XMP metadata contains a PDF/A extension schema which has a valueType for a property. This is not allowed by PDF/A (not part of basic profile).

    - #### PDFAExtensionSchemaNoDescription

          public static final OutputProfile.Feature PDFAExtensionSchemaNoDescription

      The XMP metadata contains a PDF/A extension schema which has no description for a property. This is not allowed by PDF/A (not part of basic profile).

    - #### PDFAExtensionSchemaUndefinedValueType

          public static final OutputProfile.Feature PDFAExtensionSchemaUndefinedValueType

      The XMP metadata contains a PDF/A extension schema which has an undefined value type for a property. This is not allowed by PDF/A (not part of basic profile).

    - #### PDFAExtensionSchemaValueTypeMismatch

          public static final OutputProfile.Feature PDFAExtensionSchemaValueTypeMismatch

      The XMP metadata contains a PDF/A extension schema which has an incompatible type for a property. This is not allowed by PDF/A (not part of basic profile).

    - #### Actions

          public static final OutputProfile.Feature Actions

      The PDF has Actions (not part of basic profile). The PDF contains Actions, which may be on annotations, pages or the document as a whole. Actions are not allowed in PDF/X. If this feature is denied when an OutputProfile is applied, then any actions in the PDF, pages or annotations will be removed.

    - #### AdditionalActions

          public static final OutputProfile.Feature AdditionalActions

      The PDF has Additional Actions (not part of basic profile). Additional Actions are a subclass of Action, basically anything other than an open action on a PDF.

    - #### ActionsOnDocument

          public static final OutputProfile.Feature ActionsOnDocument

      The PDF has Actions on the Document Catalog (not part of basic profile). If this feature is denied when an OutputProfile is applied then they will be removed.
      Since:
        2.11.6

    - #### ActionsOnPages

          public static final OutputProfile.Feature ActionsOnPages

      The PDF has Actions which will run when a Page is opened or closed (not part of basic profile). If this feature is denied when an OutputProfile is applied then they will be removed.
      Since:
        2.11.6

    - #### ActionsOnWidgets

          public static final OutputProfile.Feature ActionsOnWidgets

      The PDF has Actions on a Widget Annotation (not part of basic profile). If this feature is denied when an OutputProfile is applied then they will be removed.
      Since:
        2.11.6

    - #### ActionsOnFields

          public static final OutputProfile.Feature ActionsOnFields

      The PDF has Actions on a Form Field (not part of basic profile). If this feature is denied when an OutputProfile is applied then they will be removed.
      Since:
        2.11.6

    - #### ActionsInBookmarks

          public static final OutputProfile.Feature ActionsInBookmarks

      The PDF has Actions in its Bookmarks (not part of basic profile). Actions are not allowed in PDF/X. If this feature is denied when an OutputProfile is applied, then any actions in the bookmarks wil be removed.

    - #### JavaScript

          public static final OutputProfile.Feature JavaScript

      The PDF has JavaScript (not part of basic profile). The PDF contains JavaScript, which may be document wide or as part of an action. JavaScript is not allowed in PDF/X or PDF/A. If this feature is denied when an OutputProfile is applied, then any JavaScript in the PDF or actions will be removed.

    - #### ActionLaunch

          public static final OutputProfile.Feature ActionLaunch

      The PDF has Launch actions (not part of basic profile). If this feature is denied when an OutputProfile is applied then the actions will be removed.
      Since:
        2.11.6

    - #### ActionSound

          public static final OutputProfile.Feature ActionSound

      The PDF has Sound actions (not part of basic profile). If this feature is denied when an OutputProfile is applied then the actions will be removed.
      Since:
        2.11.6

    - #### ActionMovie

          public static final OutputProfile.Feature ActionMovie

      The PDF has Movie actions (not part of basic profile). If this feature is denied when an OutputProfile is applied then the actions will be removed.
      Since:
        2.11.6

    - #### ActionImportData

          public static final OutputProfile.Feature ActionImportData

      The PDF has ImportData actions (not part of basic profile). If this feature is denied when an OutputProfile is applied then the actions will be removed.
      Since:
        2.11.6

    - #### ActionResetForm

          public static final OutputProfile.Feature ActionResetForm

      The PDF has ResetForm actions (not part of basic profile). If this feature is denied when an OutputProfile is applied then the actions will be removed.
      Since:
        2.11.6

    - #### ActionNamedOther

          public static final OutputProfile.Feature ActionNamedOther

      The PDF has Named actions other than NextPage, PrevPage, FirstPage or LastPage (not part of basic profile). These actions are not allowed in PDF/A. If this feature is denied when an OutputProfile is applied then they will be removed.
      Since:
        2.11.6

    - #### ActionUnknown

          public static final OutputProfile.Feature ActionUnknown

      The PDF has an Unknown action. These are not allowed in PDF/A (not part of basic profile). If this feature is denied when an OutputProfile is applied then they will be removed.
      Since:
        2.11.6

    - #### ActionGoToBadPage

          public static final OutputProfile.Feature ActionGoToBadPage

      The PDF contains a GoTo action that references a non-existant page (not part of basic profile).
      Since:
        2.11.6

    - #### ActionSetOCGState

          public static final OutputProfile.Feature ActionSetOCGState

      The PDF contains a SetOCGState action. This is not allowed in PDF/A-2 (not part of basic profile).
      Since:
        2.14.1

    - #### ActionRendition

          public static final OutputProfile.Feature ActionRendition

      The PDF contains a Rendition action. This is not allowed in PDF/A-2 (not part of basic profile).
      Since:
        2.14.1

    - #### ActionTrans

          public static final OutputProfile.Feature ActionTrans

      The PDF contains a Transition action. This is not allowed in PDF/A-2 (not part of basic profile).
      Since:
        2.14.1

    - #### ActionHide

          public static final OutputProfile.Feature ActionHide

      The PDF contains a Hide action (which covers both showing and hiding widgets) This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.17

    - #### ActionGoTo3DView

          public static final OutputProfile.Feature ActionGoTo3DView

      The PDF contains a GoTo3DView action This is not allowed in PDF/A-2 (not part of basic profile).
      Since:
        2.14.1

    - #### NamedActions

          public static final OutputProfile.Feature NamedActions

      The PDF contains a Map of `PDFAction` referenced by name. This can be retrieved from the PDF by calling `PDF.getNamedActions()`
      Since:
        2.11.26

    - #### LegacyNamedActions

          public static final OutputProfile.Feature LegacyNamedActions

      The PDF contains an old-style Map of `PDFAction` referenced by name. The old approach is still valid, but was replaced by the newer "named action" map represented by the `NamedActions` feature in PDF 1.2. This legacy map will be silently upgraded to the newer type of Map on the first call to `PDF.getNamedActions()`.
      Since:
        2.11.26

    - #### Annotations

          public static final OutputProfile.Feature Annotations

      The PDF has Annotations (not part of basic profile). At least one page in the PDF has annotations associated with it. If this feature is denied when an OutputProfile is applied, then any Annotations will be removed.

    - #### AnnotationsInPage

          public static final OutputProfile.Feature AnnotationsInPage

      The PDF has Annotations inside the Bleed box (not part of basic profile). At least one page in the PDF has annotations associated with it which display partly or completely inside the Trim box if specified, or if not the Bleed Box or Crop Box. Annotations inside the page are not allowed in PDF/X. If this feature is denied when an OutputProfile is applied, then any Annotations inside the pagebox will be removed.

    - #### AnnotationMovie

          public static final OutputProfile.Feature AnnotationMovie

      The PDF contains at least one Movie annotation. If this feature is denied when an OutputProfile is applied, any movie annotations will be removed (not part of basic profile).

    - #### AnnotationSound

          public static final OutputProfile.Feature AnnotationSound

      The PDF contains at least one Sound annotation. If this feature is denied when an OutputProfile is applied, any Sound annotations will be removed (not part of basic profile).

    - #### AnnotationNote

          public static final OutputProfile.Feature AnnotationNote

      The PDF contains a `Note` annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationLink

          public static final OutputProfile.Feature AnnotationLink

      The PDF contains a `Link` annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationText

          public static final OutputProfile.Feature AnnotationText

      The PDF contains a `Text` annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationLine

          public static final OutputProfile.Feature AnnotationLine

      The PDF contains a Line annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationSquare

          public static final OutputProfile.Feature AnnotationSquare

      The PDF contains a Square annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationCircle

          public static final OutputProfile.Feature AnnotationCircle

      The PDF contains a Circle annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationPolygon

          public static final OutputProfile.Feature AnnotationPolygon

      The PDF contains a Polygon annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationPolyLine

          public static final OutputProfile.Feature AnnotationPolyLine

      The PDF contains a PolyLine annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationHighlight

          public static final OutputProfile.Feature AnnotationHighlight

      The PDF contains a `Highlight` annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationUnderline

          public static final OutputProfile.Feature AnnotationUnderline

      The PDF contains an `Underline` annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationSquiggly

          public static final OutputProfile.Feature AnnotationSquiggly

      The PDF contains an `Squiggly` annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationStrikeOut

          public static final OutputProfile.Feature AnnotationStrikeOut

      The PDF contains an `StrikeOut` annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationStamp

          public static final OutputProfile.Feature AnnotationStamp

      The PDF contains a `Stamp` annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationCaret

          public static final OutputProfile.Feature AnnotationCaret

      The PDF contains a Caret annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationInk

          public static final OutputProfile.Feature AnnotationInk

      The PDF contains an Ink annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationPopup

          public static final OutputProfile.Feature AnnotationPopup

      The PDF contains a Popup annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationFile

          public static final OutputProfile.Feature AnnotationFile

      The PDF contains a `FileAttachment` annotation (not part of basic profile)
      Since:
        2.11.5

    - #### AnnotationWidget

          public static final OutputProfile.Feature AnnotationWidget

      The PDF contains a Widget Annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationScreen

          public static final OutputProfile.Feature AnnotationScreen

      The PDF contains a Screen annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationPrinterMark

          public static final OutputProfile.Feature AnnotationPrinterMark

      The PDF contains a PrinterMark annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationTrapNet

          public static final OutputProfile.Feature AnnotationTrapNet

      The PDF contains a TrapNet annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationWatermark

          public static final OutputProfile.Feature AnnotationWatermark

      The PDF contains a Watermark annotation (not part of basic profile).
      Since:
        2.11.5

    - #### Annotation3D

          public static final OutputProfile.Feature Annotation3D

      The PDF contains a 3D annotation (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationRedact

          public static final OutputProfile.Feature AnnotationRedact

      The PDF contains a Redaction annotation (not part of basic profile).
      Since:
        2.14.1

    - #### AnnotationProjection

          public static final OutputProfile.Feature AnnotationProjection

      The PDF contains a Projection annotation, as defined in ISO 32000-1:2008 extension 3. (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationRichMedia

          public static final OutputProfile.Feature AnnotationRichMedia

      The PDF contains a RichMedia annotation, as defined in ISO 32000-1:2008 extension 3. (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationUnknown

          public static final OutputProfile.Feature AnnotationUnknown

      The PDF contains an annotation type that is not defined in the PDF specification (not part of basic profile).
      Since:
        2.11.5

    - #### BadTrapNetAnnotation

          public static final OutputProfile.Feature BadTrapNetAnnotation

      The PDF has a Trap Annotation that does not meet PDF/X requirements (not part of basic profile).

    - #### AnnotationTransparency

          public static final OutputProfile.Feature AnnotationTransparency

      The PDF contains annotations with Transparency (not part of basic profile). Transparent annotations are not allowed in PDF/A-1
      Since:
        2.6.2

    - #### TransparencyGroup

          public static final OutputProfile.Feature TransparencyGroup

      The PDF contains a Transparency Group (not part of basic profile). Transparency groups are not allowed in PDF/A-1
      Since:
        2.11.5

    - #### NonPopupAnnotationPrintFlagNotSet

          public static final OutputProfile.Feature NonPopupAnnotationPrintFlagNotSet

      The PDF contains a non-popup Annotation that is set not to print. This is not allowed in PDF/A. If this feature is denied when the OutputProfile is applied, then any matching annotations will be set as printable (not part of basic profile).
      Since:
        2.6.7

    - #### PopupAnnotationPrintFlagNotSet

          public static final OutputProfile.Feature PopupAnnotationPrintFlagNotSet

      The PDF contains a popup annotation that is set not to print. This is not allowed in PDF/A-1 but is allowed in PDF-A2 and 3. If this feature is denied when the OutputProfile is applied, then any matching annotations will be set as printable (not part of basic profile).
      Since:
        2.14.1

    - #### AnnotationHiddenFlagSet

          public static final OutputProfile.Feature AnnotationHiddenFlagSet

      The PDF contains an Annotation that is hidden. This is not allowed in PDF/A If this feature is denied when the OutputProfile is applied, then any matching annotations will be set to displayed (not part of basic profile).
      Since:
        2.6.7

    - #### AnnotationInvisibleFlagSet

          public static final OutputProfile.Feature AnnotationInvisibleFlagSet

      The PDF contains an Annotation that is invisible. This is not allowed in PDF/A. If this feature is denied when the OutputProfile is applied, then any matching annotations will be set to visible (not part of basic profile).
      Since:
        2.6.7

    - #### AnnotationNoViewFlagSet

          public static final OutputProfile.Feature AnnotationNoViewFlagSet

      The PDF contains an Annotation that has the NoView flag set. This is not allowed in PDF/A. If this feature is denied when the OutputProfile is applied, then any matching annotations will be set to viewable (not part of basic profile).
      Since:
        2.6.7

    - #### AnnotationToggleNoViewFlagSet

          public static final OutputProfile.Feature AnnotationToggleNoViewFlagSet

      The PDF contains an Annotation that has the ToggleNoView flag set. This is not allowed in PDF/A-2. If this feature is denied when the OutputProfile is applied, then any matching annotations will be set to viewable (not part of basic profile).
      Since:
        2.14.1

    - #### AnnotationNoteNoZoomFlagNotSet

          public static final OutputProfile.Feature AnnotationNoteNoZoomFlagNotSet

      The PDF contains a Note Annotation that does not have the NoZoom flag set. This is not allowed in PDF/A. If this feature is denied when the OutputProfile is applied, then any matching annotations will have this flag removed (not part of basic profile).
      Since:
        2.6.7

    - #### AnnotationNoteNoRotateFlagNotSet

          public static final OutputProfile.Feature AnnotationNoteNoRotateFlagNotSet

      The PDF contains a Note Annotation that does not have the NoRotate flag set. This is not allowed in PDF/A. If this feature is denied when the OutputProfile is applied, then any matching annotations will have this flag removed (not part of basic profile).
      Since:
        2.6.7

    - #### AnnotationWithUnpredictableAppearance

          public static final OutputProfile.Feature AnnotationWithUnpredictableAppearance

      The PDF contains an Annotation with multiple appearance streams, or an annotation which doesn't have the required "normal" appearance. It's appearance is therefore unpredictable, which is not allowed in PDF/A. If this feature is denied when the OutputProfile is applied, then if possible any matching annotations will have any appearance streams other than "N" removed (not part of basic profile).
      Since:
        2.6.7

    - #### PushButtonAppearanceIsStream

          public static final OutputProfile.Feature PushButtonAppearanceIsStream

      The PDF contains a push-button annotation with an N entry that is a Stream. This is allowed in PDF/A-1, not allowed in PDF/A-2 or 3, but is normal in PDF. (not part of basic profile).

      # Opinion

      Pushbuttons and Radio-buttons are implemented with the same object in PDF, but constructed in a slightly different manner. PDF/A-1 placed restrictions on how these were constructed that was intended to mirror best practice for how push-buttons were created, but which also caught radio-buttons in the same definition. Consequently it was impossible to create a functioning radio button in PDF/A-1.
      This was revised in PDF/A-2, but unfortunately the reverse happened: the two were not distinguished, and the spec now required pushbuttons to be constructed like radio-buttons. Unlike in PDF/A-1 it's technically possible to do this, and the resulting PDF can be displayed in Acrobat and our viewer, but it's very non-standard and may not work everywhere.
      Acrobat XI will enforce the specification exactly as written, and documents with standard push-button fields are marked as invalid. Attempting to "fix" this in Acrobat will delete the button completely, although as a button in PDF/A is not allowed to have any actions associated with it this is arguably a sensible course of action.
      We will also enforce the specification in this way for PDF/A-2 and later, even though it's nonsensical. So when creating a PDF with a form for archiving PDFs you have three options:
      1. Normal best practice: Push buttons have a stream, radio buttons have a dictionary, so `PushButtonAppearanceIsStream` and `RadioButtonAppearanceIsDictionary` are set.
      2. PDF/A-1: `PushButtonAppearanceIsStream` is OK but `RadioButtonAppearanceIsDictionary` is disallowed. No working radio buttons are possible.
      3. PDF/A-2 and 3: `RadioButtonAppearanceIsDictionary` is OK but `PushButtonAppearanceIsStream` is disallowed. Push buttons are possible but must be created in a non-standard manner.
      We don't repair these features by default, but you do have this option by setting the `RadioButtonAppearanceIsStream` feature (for PDF/A-1) or `PushButtonAppearanceIsDictionary` feature (for PDF/A-2 and 3) to required on the profile. This will attempt to convert the structures into a form that is acceptable to PDF/A, although the document may not render correctly. A better option is always to delete the field, but this cannot be done automatically.
      Since:
        2.14.1

    - #### PushButtonAppearanceIsDictionary

          public static final OutputProfile.Feature PushButtonAppearanceIsDictionary

      The PDF contains a push-button annotation with an N entry that is a Dictionary containing a Stream. This is not allowed in PDF/A-1, allowed in PDF/A-2 and 3 but is not normal in PDF. (not part of basic profile).

      # Opinion

      See `PushButtonAppearanceIsStream`
      Since:
        2.14.1
      See Also:
        `PushButtonAppearanceIsStream`

    - #### RadioButtonAppearanceIsStream

          public static final OutputProfile.Feature RadioButtonAppearanceIsStream

      The PDF contains a radio-button or checkbox annotation with an N entry that is a Stream. This is allowed in PDF/A-1, not allowed in PDF/A-2 or 3 and is not normal in PDF. (not part of basic profile).

      # Opinion

      See `PushButtonAppearanceIsStream`
      Since:
        2.14.1
      See Also:
        `PushButtonAppearanceIsStream`

    - #### RadioButtonAppearanceIsDictionary

          public static final OutputProfile.Feature RadioButtonAppearanceIsDictionary

      The PDF contains a radio-button or checkbox annotation with an N entry that is a Dictionary containing a Stream. This is not allowed in PDF/A-1, allowed in PDF/A-2 and 3 and is normal in PDF. (not part of basic profile).

      # Opinion

      See `PushButtonAppearanceIsStream`
      Since:
        2.14.1
      See Also:
        `PushButtonAppearanceIsStream`

    - #### FreeFormLink

          public static final OutputProfile.Feature FreeFormLink

      The PDF contains a Link annotation with a non-rectangular shape (not part of basic profile). These were added in Acrobat 7.0 and may not be compatible with earlier versions
      Since:
        2.11.6

    - #### EmbeddedFiles

          public static final OutputProfile.Feature EmbeddedFiles

      The PDF has Embedded files (not part of basic profile). The files are embedded either on the document itself or as an annotation. If this feature is denied when an OutputProfile is applied, then any Embedded files will be removed.

    - #### EmbeddedFileNotPDFA

          public static final OutputProfile.Feature EmbeddedFileNotPDFA

      The PDF contains an embedded file that does not conform to PDF/A (any revision). This is not allowed in PDF/A-2. (not part of basic profile)
      Since:
        2.14.1

    - #### MissingTrimAndArtBox

          public static final OutputProfile.Feature MissingTrimAndArtBox

      The PDF has pages missing both Art and Trim boxes (not part of basic profile). PDF/X requires exactly one of these boxes to be set for each page. If this feature is denied when an OutputProfile is applied, then a TrimBox equivalent to the CropBox will be created on pages that are missing one.

    - #### BothTrimAndArtBox

          public static final OutputProfile.Feature BothTrimAndArtBox

      The PDF has pages with both an Art and Trim boxes (not part of basic profile). PDF/X requires exactly one of these boxes to be set for each page. If this feature is denied when an OutputProfile is applied, then any pages with both boxes will have their ArtBox removed.

    - #### OptionalContent

          public static final OutputProfile.Feature OptionalContent

      The PDF has pages with optional content (not part of basic profile). PDF/X and PDF/A-1 do not allow optional content.

    - #### BadBoxNesting

          public static final OutputProfile.Feature BadBoxNesting

      The PDF has pages where the Boxes are nested incorrectly. PDF/X requires the Art and Trim boxes to be contained in the Crop and Bleed boxes (if specified). (not part of basic profile).

    - #### PageTemplates

          public static final OutputProfile.Feature PageTemplates

      The PDF has Page Templates - named pages which are not visibile in the document, but which can be used to create other pages dynamically using JavaScript.
      Since:
        2.11.19

    - #### FileBased

          public static final OutputProfile.Feature FileBased

      The PDF has been loaded from a `File`. The File is used as a backing store for the PDF contents, and must remain unmodified for the life of this object
      Since:
        2.16.2

    - #### FilterFlate

          public static final OutputProfile.Feature FilterFlate

      The PDF has streams compressed with Flate (not part of basic profile)

    - #### FilterCCITT

          public static final OutputProfile.Feature FilterCCITT

      The PDF has streams compressed with CCITT (not part of basic profile). If this feature is denied when an OutputProfile is applied, then any streams compressed with CCITT will be recompressed with Flate.

    - #### FilterASCII85

          public static final OutputProfile.Feature FilterASCII85

      The PDF has streams compressed with ASCII85 (not part of basic profile)

    - #### FilterASCIIHex

          public static final OutputProfile.Feature FilterASCIIHex

      The PDF has streams compressed with ASCIIHEX (not part of basic profile)

    - #### FilterRLE

          public static final OutputProfile.Feature FilterRLE

      The PDF has streams compressed with Run-Length encoding (not part of basic profile)

    - #### FilterLZW

          public static final OutputProfile.Feature FilterLZW

      The PDF has streams compressed with LZW encoding (not part of basic profile). If this feature is denied when an OutputProfile is applied, then any streams compressed with LZW will be recompressed with Flate.

    - #### FilterInlineFlate

          public static final OutputProfile.Feature FilterInlineFlate

      The PDF contains an inline-image which is compressed with Flate compression (not part of basic profile).
      Since:
        2.11.5

    - #### FilterInlineCCITT

          public static final OutputProfile.Feature FilterInlineCCITT

      The PDF contains an inline-image which is compressed with CCITT compression (not part of basic profile).
      Since:
        2.11.5

    - #### FilterInlineASCII85

          public static final OutputProfile.Feature FilterInlineASCII85

      The PDF contains an inline-image which is encoded with ASCII85 encoding (not part of basic profile).
      Since:
        2.11.5

    - #### FilterInlineASCIIHex

          public static final OutputProfile.Feature FilterInlineASCIIHex

      The PDF contains an inline-image which is encoded with ASCIIHex encoding (not part of basic profile).
      Since:
        2.11.5

    - #### FilterInlineRLE

          public static final OutputProfile.Feature FilterInlineRLE

      The PDF contains an inline-image which is compressed with run-length encoding (not part of basic profile).
      Since:
        2.11.5

    - #### FilterInlineLZW

          public static final OutputProfile.Feature FilterInlineLZW

      The PDF contains an inline-image which is compressed with LZW encoding (not part of basic profile).
      Since:
        2.11.5

    - #### FilterInlineDCT

          public static final OutputProfile.Feature FilterInlineDCT

      The PDF contains an inline-image which is compressed with DCT (JPEG) encoding (not part of basic profile).
      Since:
        2.11.5

    - #### FFilter

          public static final OutputProfile.Feature FFilter

      The PDF has streams with external file filters and are not allowed in PDF/A (not part of basic profile)
      Since:
        2.6.7

    - #### FilterDCT

          public static final OutputProfile.Feature FilterDCT

      The PDF has streams compressed with Discrete cosine (JPEG) encoding (not part of basic profile)

    - #### FilterJPX

          public static final OutputProfile.Feature FilterJPX

      The PDF has streams compressed with JPEG-2000 encoding (not part of basic profile) If this feature is denied when an OutputProfile is applied, then any streams compressed with JPX will be recompressed with Flate.

    - #### FilterJBIG2

          public static final OutputProfile.Feature FilterJBIG2

      The PDF has streams compressed with JBIG2 encoding (not part of basic profile). Since 2.6.9, if this feature is required and a 3rd party JBIG2 encoder is present, new images that would otherwise be compressed with CCITT are compressed with JBIG2. If the `RegularCompression` attribute is set then all existing CCITT streams will be recompressed with JBIG2. Alternatively, if this feature is denied any existing JBIG2 images will be recompressed with CCITT. See http://bfo.com/products/pdf/jbig2/ for more information.

    - #### FilterNoneOnLargeStream

          public static final OutputProfile.Feature FilterNoneOnLargeStream

      The PDF has large uncompressed streams (not part of basic profile). This indicates that the PDF may not have been fully compressed and could benefit from recompression. In this case "large" means 400 bytes.

    - #### FilterUnknown

          public static final OutputProfile.Feature FilterUnknown

      The PDF contains a stream with a non-standard filter, which will be unreadable. This is not allowed in PDF/A-2 (not part of basic profile).
      Since:
        2.14.1

    - #### ImageDepth1

          public static final OutputProfile.Feature ImageDepth1

      The PDF contains 1-bit images (not part of basic profile)

    - #### ImageDepth2

          public static final OutputProfile.Feature ImageDepth2

      The PDF contains 2-bit images (not part of basic profile)

    - #### ImageDepth4

          public static final OutputProfile.Feature ImageDepth4

      The PDF contains 4-bit images (not part of basic profile)

    - #### ImageDepth8

          public static final OutputProfile.Feature ImageDepth8

      The PDF contains 8-bit images (not part of basic profile)

    - #### ImageDepth16

          public static final OutputProfile.Feature ImageDepth16

      The PDF contains 16-bit images (not part of basic profile). 16-bit images were added in Acrobat 6.0 and are not accepted by PDF/X

    - #### ImageTransparency

          public static final OutputProfile.Feature ImageTransparency

      The PDF contains images with Transparency (not part of basic profile). Transparency was added in Acrobat 5.0 and will not work in viewers prior to that. It is not acceptable in PDF/X.

    - #### ComplexBlendMode

          public static final OutputProfile.Feature ComplexBlendMode

      The PDF contains content to be composited using a blend mode other than Normal, that may introduce transparency effects (not part of basic profile). This is not acceptable in PDF/A-1.

    - #### UnknownBlendMode

          public static final OutputProfile.Feature UnknownBlendMode

      The PDF specifies an unknown blend mode. This is not allowed in PDF/A-2 (not part of basic profile).
      Since:
        2.14.1

    - #### CMYKJPEG

          public static final OutputProfile.Feature CMYKJPEG

      The PDF contains CMYK JPEG images (not part of basic profile). The standard `java.awt` methods do not parse CMYK JPEG images, and so these will not display correctly with this library prior to Java 1.4

    - #### FullPageImage

          public static final OutputProfile.Feature FullPageImage

      The PDF contains a full page image. In practice, due to rounding error an image is considered to cover the entire page if the difference between page and image size is less than 0.4% of the page size. (Not part of basic profile)

    - #### Encryption

          public static final OutputProfile.Feature Encryption

      The PDF is encrypted. Encryption is not allowed in PDF/X and PDF/A

    - #### Acrobat5Encryption

          public static final OutputProfile.Feature Acrobat5Encryption

      The PDF is encrypted with 128-bit encryption. This requires Acrobat 5.0 or later to load.

    - #### Acrobat6Encryption

          public static final OutputProfile.Feature Acrobat6Encryption

      The PDF is encrypted with 128-bit encryption and Acrobat 6.0 features. This requires Acrobat 6.0 or later to load

    - #### AESEncryption

          public static final OutputProfile.Feature AESEncryption

      The PDF is encrypted with AES encryption - the exact keylength is unspecified, but is assumed to be 128-bits unless `AES256Encryption` or `WeakAES256Encryption` is also set. This requires Acrobat 7.0 or later to load.

    - #### WeakAES256Encryption

          public static final OutputProfile.Feature WeakAES256Encryption

      The PDF is encrypted with the deprecated form of 256-bit AES encryption defined in ISO 32000-1:2008 extension 3. It was briefly available in Acrobat 9.0, but removed in 9.1 after it was found the hash could be brute-forced in less time than the approach used in the 128-bit AES encryption available in Acrobat 7.0. This requires Acrobat 9.0 or later to load.
      Since:
        2.11.23

    - #### AES256Encryption

          public static final OutputProfile.Feature AES256Encryption

      The PDF is encrypted with 256-bit AES encryption. This requires Acrobat X or later to load.
      Since:
        2.11

    - #### PublicKeyEncryption

          public static final OutputProfile.Feature PublicKeyEncryption

      The PDF is encrypted with a Public Key. This requires Acrobat 5.0 or later to load.
      Since:
        2.7.1

    - #### NonStandardEncryption

          public static final OutputProfile.Feature NonStandardEncryption

      The PDF is encrypted with a handler other than the `StandardEncryptionHandler`

    - #### ColorSpaceICC

          public static final OutputProfile.Feature ColorSpaceICC

      The PDF uses an embedded ICC profile (not part of basic profile). This feature can be marked as Denied, in which case all GrayScale and RGB ICC profiles will be approximated by a calibrated equivalent if possible. This can reduce the size of the PDF, although with less accurate results. Note the sRGB profile used by default is always approximated.

    - #### ICCProfileVersion4

          public static final OutputProfile.Feature ICCProfileVersion4

      The PDF uses an embedded ICC profile version 4 (not part of basic profile).
      Since:
        2.6.7

    - #### ICCProfileVersion3

          public static final OutputProfile.Feature ICCProfileVersion3

      The PDF uses an embedded ICC profile version 3 (not part of basic profile).
      Since:
        2.6.7

    - #### ICCProfileVersion2

          public static final OutputProfile.Feature ICCProfileVersion2

      The PDF uses an embedded ICC profile version 2 (not part of basic profile).
      Since:
        2.6.7

    - #### ICCProfileVersion1

          public static final OutputProfile.Feature ICCProfileVersion1

      The PDF uses an embedded ICC profile version 1 (not part of basic profile).
      Since:
        2.6.7

    - #### ICCProfileNotOutput

          public static final OutputProfile.Feature ICCProfileNotOutput

      The PDF contains an OutputIntent with an embedded ICC profile that's not an Output (class=prtr) ICC Profile. This isn't allowed for PDF/X.
      Since:
        2.11.5

    - #### ICCProfileNotOutputOrDisplay

          public static final OutputProfile.Feature ICCProfileNotOutputOrDisplay

      The PDF contains an OutputIntent with an embedded ICC profile that's not an Output (class=prtr) or Display (class=mntr) ICC Profile. This isn't allowed for PDF/A-2 and later.
      Since:
        2.14.1

    - #### ICCProfileUnusualColorSpace

          public static final OutputProfile.Feature ICCProfileUnusualColorSpace

      The PDF contains an OutputIntent with an embedded ICC profile that's not Gray, RGB or CMYK. This isn't allowed for PDF/A-2 and later.
      Since:
        2.14.1

    - #### ICCProfileBadColorComponentCount

          public static final OutputProfile.Feature ICCProfileBadColorComponentCount

      The PDF contains an ICC ColorProfile where the specified number of Colors does not match the actual number specified by the profile (not part of basic profile). This is not allowed in PDF/A or PDF/X
      Since:
        2.11.6

    - #### ColorSpaceDeviceGray

          public static final OutputProfile.Feature ColorSpaceDeviceGray

      The PDF uses the DeviceGray colorspace (not part of basic profile)

    - #### ColorSpaceDeviceRGB

          public static final OutputProfile.Feature ColorSpaceDeviceRGB

      The PDF uses the DeviceRGB colorspace (not part of basic profile)

    - #### ColorSpaceDeviceCMYK

          public static final OutputProfile.Feature ColorSpaceDeviceCMYK

      The PDF uses the DeviceCMYK colorspace (not part of basic profile)

    - #### ColorSpaceCalGray

          public static final OutputProfile.Feature ColorSpaceCalGray

      The PDF uses a calibrated Grayscale colorspace (not part of basic profile)

    - #### ColorSpaceCalRGB

          public static final OutputProfile.Feature ColorSpaceCalRGB

      The PDF uses a calibrated RGB colorspace (not part of basic profile)

    - #### ColorSpaceDeviceN

          public static final OutputProfile.Feature ColorSpaceDeviceN

      The PDF uses a Device-N colorspace (not part of basic profile)

    - #### ColorSpaceNChannel

          public static final OutputProfile.Feature ColorSpaceNChannel

      The PDF uses an N-Channel colorspace (not part of basic profile)
      Since:
        2.14.1

    - #### ColorSpaceDeviceNMissingColorants

          public static final OutputProfile.Feature ColorSpaceDeviceNMissingColorants

      The PDF uses a DeviceN or N-Channel colorspace which does not define all the Colorants array for all its Spot colors. This is not allowed in PDF/A-2 and later (not part of basic profile)
      Since:
        2.14.1

    - #### ColorSpaceSeparation

          public static final OutputProfile.Feature ColorSpaceSeparation

      The PDF uses a Separation colorspace (not part of basic profile). Also known as a Spot Color

    - #### ColorSpaceIndexed

          public static final OutputProfile.Feature ColorSpaceIndexed

      The PDF uses an Indexed colorspace (not part of basic profile).

    - #### ColorSpaceLab

          public static final OutputProfile.Feature ColorSpaceLab

      The PDF uses a CIE L*a*b* colorspace (not part of basic profile).

    - #### ColorSpacePattern

          public static final OutputProfile.Feature ColorSpacePattern

      The PDF uses a Pattern colorspace (not part of basic profile).

    - #### AltColorSpaceDeviceGray

          public static final OutputProfile.Feature AltColorSpaceDeviceGray

      The PDF uses a Separation colorspace with a DeviceGray alternate (not part of basic profile).

    - #### AltColorSpaceDeviceRGB

          public static final OutputProfile.Feature AltColorSpaceDeviceRGB

      The PDF uses a Separation colorspace with a DeviceRGB alternate (not part of basic profile).

    - #### AltColorSpaceDeviceCMYK

          public static final OutputProfile.Feature AltColorSpaceDeviceCMYK

      The PDF uses a Separation colorspace with a DeviceCMYK alternate (not part of basic profile).

    - #### AltColorSpaceCalRGB

          public static final OutputProfile.Feature AltColorSpaceCalRGB

      The PDF uses a Separation colorspace with a Calibrated RGB alternate (not part of basic profile).

    - #### AltColorSpaceCalGray

          public static final OutputProfile.Feature AltColorSpaceCalGray

      The PDF uses a Separation colorspace with a Calibrated Grayscale alternate (not part of basic profile).

    - #### AltColorSpaceLab

          public static final OutputProfile.Feature AltColorSpaceLab

      The PDF uses a Separation colorspace with a L*a*b* alternate (not part of basic profile).

    - #### AltColorSpaceICC

          public static final OutputProfile.Feature AltColorSpaceICC

      The PDF uses a Separation colorspace with an ICC alternate (not part of basic profile).

    - #### RedGreenBlueSeparation

          public static final OutputProfile.Feature RedGreenBlueSeparation

      The PDF uses a Separation colorspace with an ink name of Red, Green or Blue. This is not recommended (not part of basic profile).

    - #### JPXColorSpaceLab

          public static final OutputProfile.Feature JPXColorSpaceLab

      The PDF contains a JPX stream that uses a L*a*b* ColorSpace. This is not allowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### JPXNotBaseline

          public static final OutputProfile.Feature JPXNotBaseline

      The PDF contains a JPX stream that is does not mee the "baseline" requirements for JPX in PDF. Most likely this is one of the following:
      - uses a ColorSpace not defined in the JPX baseline.
      - uses a ColorSpace that's not 1, 3 or 4 components
      - uses multiple ColorSpaces
      - bit depth > 38 bits
      This is not allowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### CyanSeparation

          public static final OutputProfile.Feature CyanSeparation

      The PDF uses a Separation colorspace with an ink name of Cyan (not part of basic profile).
      Since:
        2.7.6

    - #### MagentaSeparation

          public static final OutputProfile.Feature MagentaSeparation

      The PDF uses a Separation colorspace with an ink name of Magenta (not part of basic profile).
      Since:
        2.7.6

    - #### YellowSeparation

          public static final OutputProfile.Feature YellowSeparation

      The PDF uses a Separation colorspace with an ink name of Yellow (not part of basic profile).
      Since:
        2.7.6

    - #### BlackSeparation

          public static final OutputProfile.Feature BlackSeparation

      The PDF uses a Separation colorspace with an ink name of Black (not part of basic profile).
      Since:
        2.7.6

    - #### DuplicateSeparation

          public static final OutputProfile.Feature DuplicateSeparation

      The PDF contains a page or canvas with two different Separation ColorSpaces that have the same name. This is legal, but not recommended as it can give incorrect results in some viewers (not part of basic profile).
      Since:
        2.14.1

    - #### AnnotationColorTransparent

          public static final OutputProfile.Feature AnnotationColorTransparent

      The PDF uses an Annotation with a Transparent Color (not part of basic profile)
      Since:
        2.11.5

    - #### AnnotationColorDeviceGray

          public static final OutputProfile.Feature AnnotationColorDeviceGray

      The PDF uses an Annotation with a DeviceGray color (not part of basic profile)
      Since:
        2.11.5

    - #### AnnotationColorDeviceRGB

          public static final OutputProfile.Feature AnnotationColorDeviceRGB

      The PDF uses an Annotation with a DeviceRGB color (not part of basic profile)
      Since:
        2.11.5

    - #### AnnotationColorDeviceCMYK

          public static final OutputProfile.Feature AnnotationColorDeviceCMYK

      The PDF uses an Annotation with a DeviceCMYK color (not part of basic profile)
      Since:
        2.11.5

    - #### DeviceGrayWithRGBIntent

          public static final OutputProfile.Feature DeviceGrayWithRGBIntent

      The PDF contains a Device Gray color but an RGB Output Intent. This is not allowed with some calibrated profiles like PDF/A or PDF/X (not part of basic profile).
      Since:
        2.11.5

    - #### DeviceGrayWithCMYKIntent

          public static final OutputProfile.Feature DeviceGrayWithCMYKIntent

      The PDF contains a Device Gray color but a CMYK Output Intent. This is not allowed with some calibrated profiles like PDF/A or PDF/X (not part of basic profile).
      Since:
        2.11.5

    - #### DeviceRGBWithGrayIntent

          public static final OutputProfile.Feature DeviceRGBWithGrayIntent

      The PDF contains a Device RGB color but a Grayscale Output Intent. This is not allowed with some calibrated profiles like PDF/A or PDF/X (not part of basic profile).
      Since:
        2.11.5

    - #### DeviceRGBWithCMYKIntent

          public static final OutputProfile.Feature DeviceRGBWithCMYKIntent

      The PDF contains a Device RGB color but a CMYK Output Intent. This is not allowed with some calibrated profiles like PDF/A or PDF/X (not part of basic profile).
      Since:
        2.11.5

    - #### DeviceCMYKWithGrayIntent

          public static final OutputProfile.Feature DeviceCMYKWithGrayIntent

      The PDF contains a Device CMYK color but a Grayscale Output Intent. This is not allowed with some calibrated profiles like PDF/A or PDF/X (not part of basic profile).
      Since:
        2.11.5

    - #### DeviceCMYKWithRGBIntent

          public static final OutputProfile.Feature DeviceCMYKWithRGBIntent

      The PDF contains a Device CMYK color but a RGB Output Intent. This is not allowed with some calibrated profiles like PDF/A or PDF/X (not part of basic profile).
      Since:
        2.11.5

    - #### AnnotationColorMismatchesIntent

          public static final OutputProfile.Feature AnnotationColorMismatchesIntent

      The PDF contains an annotation that specifies a device color which doesn't match the OutputIntent. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.11.5

    - #### DeviceDependentColor

          public static final OutputProfile.Feature DeviceDependentColor

      The PDF contains device-dependent Color (not part of basic profile).
      Since:
        2.14.1

    - #### FontStandard14

          public static final OutputProfile.Feature FontStandard14

      The PDF uses the Standard 14 fonts (not part of basic profile)

    - #### FontCompactEmbedded

          public static final OutputProfile.Feature FontCompactEmbedded

      The PDF uses an embedded Compact font (not part of basic profile)

    - #### FontType1Embedded

          public static final OutputProfile.Feature FontType1Embedded

      The PDF uses an embedded Type-1 font (not part of basic profile)

    - #### FontTrueTypeEmbedded

          public static final OutputProfile.Feature FontTrueTypeEmbedded

      The PDF uses an embedded TrueType font (not part of basic profile)

    - #### FontOpenTypeEmbedded

          public static final OutputProfile.Feature FontOpenTypeEmbedded

      The PDF uses an embedded OpenType font (not part of basic profile)

    - #### FontType3

          public static final OutputProfile.Feature FontType3

      The PDF uses a Type 3 font (not part of basic profile)

    - #### FontMultipleMaster

          public static final OutputProfile.Feature FontMultipleMaster

      The PDF uses a Multiple-Master font (not part of basic profile)

    - #### FontType1Unembedded

          public static final OutputProfile.Feature FontType1Unembedded

      The PDF uses an unembedded Type 1 font (not part of basic profile)

    - #### FontTrueTypeUnembedded

          public static final OutputProfile.Feature FontTrueTypeUnembedded

      The PDF uses an unembedded TrueType font (not part of basic profile)

    - #### FontType1WithoutToUnicode

          public static final OutputProfile.Feature FontType1WithoutToUnicode

      The PDF uses a Type 1 font without a ToUnicode map (not part of basic profile). ToUnicode maps are particularly important with Type 1 fonts when extracting the text.
      Since:
        2.15.3

    - #### UnembeddedNonStandardSymbolicFont

          public static final OutputProfile.Feature UnembeddedNonStandardSymbolicFont

      The PDF contains an unembedded font which is marked as Symbolic and which is not one of the ones guaranteed to be available to Acrobat. If a font with the same name is not installed on the viewing machine, Acrobat will display a warning. (not part of basic profile).
      Since:
        2.16

    - #### FontType0

          public static final OutputProfile.Feature FontType0

      The PDF uses a Type 0 font (not part of basic profile). Type 0 fonts are made up of CID fonts.

    - #### CIDFontType1Embedded

          public static final OutputProfile.Feature CIDFontType1Embedded

      The PDF uses an embedded Type 1 CID font (not part of basic profile).

    - #### CIDSystemInfoAndCMapNotCompatible

          public static final OutputProfile.Feature CIDSystemInfoAndCMapNotCompatible

      The PDF contains a CID font where the CIDSystemInfo does not match the CMap dictionary. This is required for PDF/A (not part of basic profile).
      Since:
        2.6.7

    - #### UnembeddedCMap

          public static final OutputProfile.Feature UnembeddedCMap

      The PDF contains a CID font with an unembedded CMap not listed in the PDF specification. This is disallowed in PDF/A (not part of basic profile).
      Since:
        2.11.5

    - #### UnembeddedStandardCMap

          public static final OutputProfile.Feature UnembeddedStandardCMap

      The PDF contains a CID font with an unembedded CMap listed in the PDF specification other than Identity-H or Identity-V. This is disalloed for PDF/A-1 (not part of basic profile).
      Since:
        2.14.1

    - #### CIDFontType1Unembedded

          public static final OutputProfile.Feature CIDFontType1Unembedded

      The PDF uses an unembedded Type 1 CID font (not part of basic profile).

    - #### CIDFontTrueTypeEmbedded

          public static final OutputProfile.Feature CIDFontTrueTypeEmbedded

      The PDF uses an embedded TrueType CID font (not part of basic profile).

    - #### CIDFontTrueTypeUnembedded

          public static final OutputProfile.Feature CIDFontTrueTypeUnembedded

      The PDF uses an unembedded TrueType CID font (not part of basic profile). The fonts defined by `StandardCJKFont` are this type of font.

    - #### CIDFontCompactEmbedded

          public static final OutputProfile.Feature CIDFontCompactEmbedded

      The PDF uses an embedded Compact CID font (not part of basic profile).

    - #### CIDFontOpenTypeEmbedded

          public static final OutputProfile.Feature CIDFontOpenTypeEmbedded

      The PDF uses an embedded OpenType CID font (not part of basic profile)
      Since:
        2.11.22

    - #### FontEmbeddingRestrictions

          public static final OutputProfile.Feature FontEmbeddingRestrictions

      The PDF embeds a font with embedding restrictions (not part of basic profile). This may imply licensing issues with the font.

    - #### CMapEmbeddedWithInvalidWMode

          public static final OutputProfile.Feature CMapEmbeddedWithInvalidWMode

      The PDF contains a CMap that contains a non identical WMode integer entry (not part of basic profile). This is not allowed in PDF/A.
      Since:
        2.6.7

    - #### FontType1SubsetWithoutCharset

          public static final OutputProfile.Feature FontType1SubsetWithoutCharset

      The PDF embeds a Type1 font subset without a CharSet string. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.6.7

    - #### FontWidthsNotConsistent

          public static final OutputProfile.Feature FontWidthsNotConsistent

      The PDF embeds a font with inconsistent widths. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.6.7

    - #### NonSymbolicTrueTypeWithoutMacRomanOrWinAnsiEncoding

          public static final OutputProfile.Feature NonSymbolicTrueTypeWithoutMacRomanOrWinAnsiEncoding

      The PDF embeds a non-symbolic TrueType font without a MacRoman or WinAnsi Encoding. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.6.7

    - #### NonSymbolicTrueTypeWithoutPureMacRomanOrWinAnsiEncoding

          public static final OutputProfile.Feature NonSymbolicTrueTypeWithoutPureMacRomanOrWinAnsiEncoding

      The PDF embeds a non-symbolic TrueType font that is a valid variation on MacRoman or WinAnsi Encoding. This is not allowed in PDF/A-1 (not part of basic profile).
      Since:
        2.14.1

    - #### NonSymbolicTrueTypeWithoutCMap

          public static final OutputProfile.Feature NonSymbolicTrueTypeWithoutCMap

      The PDF embeds a non-symbolic TrueType font with no CMap This is not allowed in PDF/A-2 or later (not part of basic profile).
      Since:
        2.14.1

    - #### SymbolicTrueTypeWithEncodingEntry

          public static final OutputProfile.Feature SymbolicTrueTypeWithEncodingEntry

      The PDF embeds a symbolic TrueType font with an Encoding entry specified. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.6.7

    - #### SymbolicTrueTypeWithoutOneEncoding

          public static final OutputProfile.Feature SymbolicTrueTypeWithoutOneEncoding

      The PDF embeds a symbolic TrueType with more than one Encoding. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.6.7

    - #### SymbolicTrueTypeEncodingAmbiguous

          public static final OutputProfile.Feature SymbolicTrueTypeEncodingAmbiguous

      The PDF embeds a symbolic TrueType font with a single encoding, but that encoding is not 3/0. This is not allowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### TrueTypeIsTricky

          public static final OutputProfile.Feature TrueTypeIsTricky

      The PDF embeds a TrueType font which using the hinting program to shape the glyphs. There are only about twelve of these known, the main ones being MingLiu (and variations such as HA_MingLiU and PMingLiU) from 1995 and 1996 and DFKai-SB from 1998, both traditional Chinese fonts created by Dynalab, HuaTianKaiTi and HuaTianSongTi (simplified Chinese fonts by Huatian Information Industry) and some NEC Japanese fonts. Because our OpenType font parser does not use the hinting program we are unable to parse these fonts correctly, so even though they are embedded we will search the OS for a matching font, and when found will let the AWT render it - typically this will hand off to a native library which does parse the hinting program. Versions of our API prior to 2.16 did not handle these as well, and documents embedding these fonts may not have rendered correctly.
      Since:
        2.16

    - #### CIDFontSubsetWithoutCIDSet

          public static final OutputProfile.Feature CIDFontSubsetWithoutCIDSet

      The PDF embeds a subset CID font without a CIDSet string (not part of basic profile). This is not allowed in PDF/A.
      Since:
        2.6.7

    - #### CIDSetCoverageIncomplete

          public static final OutputProfile.Feature CIDSetCoverageIncomplete

      The PDF contains a subset CID font with a CIDSet that doesn't reference all glyphs in the font. This is not allowed in PDF/A-2 and later (not part of basic profile)
      Since:
        2.14.1

    - #### CIDSetCoverageIncompleteTolerant

          public static final OutputProfile.Feature CIDSetCoverageIncompleteTolerant

      The PDF contains a subset CID font with a CIDSet that doesn't reference all glyphs in the font. There are two ways to interpret this requirement - as opposed to `CIDSetCoverageIncomplete`, this feature is not set when the CIDSet doesn't list a glyph that has no content (which is how removed glyphs are represented in a TrueType font). This feature is not currently denied in our {link #PDFA2b} and `OutputProfile.PDFA3b` profiles, but can be used instead of `CIDSetCoverageIncomplete` to match the behaviour of other toolkits.
      Since:
        2.17

    - #### UTF16Encoding

          public static final OutputProfile.Feature UTF16Encoding

      The PDF embeds a font that requires UTF-16 encoding. UTF-16 encoding was added in Acrobat 6.0, so viewers prior to that may have trouble dispaying some characters.

    - #### FontWithMissingGlyphs

          public static final OutputProfile.Feature FontWithMissingGlyphs

      The PDF embeds a font without glyphs for all characters referenced in the document. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.6.7

    - #### FontSymbolicStatusUndefined

          public static final OutputProfile.Feature FontSymbolicStatusUndefined

      The PDF contains a font which does not have it's symbolic status correctly defined - the two bits in its Flags field contradict eachother (not part of basic profile).
      Since:
        2.16

    - #### NotdefGlyph

          public static final OutputProfile.Feature NotdefGlyph

      The PDF contains a reference to the .notdef named glyph This is not allowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### InvalidFont

          public static final OutputProfile.Feature InvalidFont

      The PDF contains a Font that is damaged or otherwise invalid. This is not allowed in PDF/A, and the PDF may not render correctly (not part of basic profile).
      Since:
        2.11.5

    - #### FontWithoutMetadata

          public static final OutputProfile.Feature FontWithoutMetadata

      The PDF contains at least one font without any meta-data (not part of basic profile). Font meta-data is required by the PDF/A specification, although is not part of the PDF/A draft implemented in Acrobat 7.0. If this feature is denied when an OutputProfile is applied, the library will attempt to extract metadata from any embedded fonts, but if the required information is missing the feature cannot be fixed.
      Since:
        2.6.7

    - #### CIDFontTrueTypeWithoutCIDToGIDMap

          public static final OutputProfile.Feature CIDFontTrueTypeWithoutCIDToGIDMap

      The PDF contains a TrueType CIDFont without a CIDToGIDMap entry. This is not allowed in PDF/A (not part of basic profile).
      Since:
        2.6.7

    - #### Transparency

          public static final OutputProfile.Feature Transparency

      The PDF contains transparency (not part of basic profile). Transparency was added in Acrobat 5.0 and will not work with viewers prior to that. It is not part of PDF/X

    - #### BXEXOperator

          public static final OutputProfile.Feature BXEXOperator

      The PDF contains a stream with BX/EX operators (not part of basic profile). These operators indicate sections of the PDF which may not display in all viewers. They are not part of PDF/X or PDF/A

    - #### InlineImage

          public static final OutputProfile.Feature InlineImage

      The PDF contains an inline image (not part of basic profile). Since 2.18 it is possible to replace inline images with regular ones by setting this feature to denied.

    - #### Hairline

          public static final OutputProfile.Feature Hairline

      The PDF contains a "hairline" (not part of basic profile). A line with a thickness of < 0.2pt, it may not display correctly on all output devices Since 2.18 it is possible to replace hairlines with lines of a specified width
      See Also:
        `OutputProfiler.setHairlineWidth(float)`

    - #### ZeroWidthLine

          public static final OutputProfile.Feature ZeroWidthLine

      The PDF contains a zero-width line (not part of basic profile). The display of these lines is device-dependent and their use is not recommended.

    - #### ShadingPattern

          public static final OutputProfile.Feature ShadingPattern

      The PDF contains a shading pattern (not part of basic profile).

    - #### PostScriptXObject

          public static final OutputProfile.Feature PostScriptXObject

      The PDF contains a PostScript XObject (not part of basic profile). PostScript XObjects are not recommended and are not part of PDF/X or PDF/A

    - #### ReferenceXObject

          public static final OutputProfile.Feature ReferenceXObject

      The PDF contains a Reference XObject (not part of basic profile). Reference XObjects are not part of PDF/A
      Since:
        2.6.7

    - #### HalftoneName

          public static final OutputProfile.Feature HalftoneName

      The PDF contains a named Halftone pattern (not part of basic profile). These are not allowed with PDF/X

    - #### HalftoneNot1or5

          public static final OutputProfile.Feature HalftoneNot1or5

      The PDF contains a Halftone pattern not of type 1 or 5 (not part of basic profile). These are not allowed with PDF/X

    - #### TransferFunctionIsIdentity

          public static final OutputProfile.Feature TransferFunctionIsIdentity

      The PDF contains a Transfer function of Identity (not part of basic profile).

    - #### TransferFunctionIsDefault

          public static final OutputProfile.Feature TransferFunctionIsDefault

      The PDF contains a Transfer function of Default (not part of basic profile). Default Transfer functions can be safely removed, which is what happens if only this feature is denied. The PDF/X profiles supplied deny all transfer functions, but you can modify those to remove the `TransferFunction` feature from the denied list.

    - #### TransferFunctionIsOther

          public static final OutputProfile.Feature TransferFunctionIsOther

      The PDF contains a Transfer function (not part of basic profile). This identifies Transfer Functions which are not Identity or Default function - these will cause the PDF/X and PDF/A preflight process to fail.

    - #### TransferFunction

          public static final OutputProfile.Feature TransferFunction

      The PDF contains a Transfer function (not part of basic profile). This identifies any Transfer Function, including Default and Identity. It will not be repaired and will cause the PDF/X preflight process to fail.

    - #### OPI

          public static final OutputProfile.Feature OPI

      An image or Form XObject contains OPI (Open Prepress Interface) comments. OPI is not allowed under PDF/X or PDF/A (not part of basic profile).

    - #### RenderingIntent

          public static final OutputProfile.Feature RenderingIntent

      The PDF contains operations to set the Rendering Intent (not part of basic profile).

    - #### AlternateImagePrints

          public static final OutputProfile.Feature AlternateImagePrints

      The PDF contains images where the alternate is set to print by default (not part of basic profile). These are not allowed in PDF/X

    - #### StreamContainsFormXObject

          public static final OutputProfile.Feature StreamContainsFormXObject

      The PDF contains a stream with a Form XObject (not part of basic profile)

    - #### StreamContainsPathOperators

          public static final OutputProfile.Feature StreamContainsPathOperators

      The PDF contains a stream with path operations (not part of basic profile)

    - #### StreamContainsText

          public static final OutputProfile.Feature StreamContainsText

      The PDF contains a stream with text operations (not part of basic profile)

    - #### RenderingIntentUnknown

          public static final OutputProfile.Feature RenderingIntentUnknown

      The PDF contains a Rendering Intent that is not one of the values defined in the PDF specification (not part of basic profile)

    - #### UnknownStreamOperator

          public static final OutputProfile.Feature UnknownStreamOperator

      The PDF contains a content stream with an unknown operator (not part of basic profile)

    - #### AlternateImage

          public static final OutputProfile.Feature AlternateImage

      The PDF contains at least one image with an Alternate (not part of basic profile)

    - #### InterpolatedImage

          public static final OutputProfile.Feature InterpolatedImage

      The PDF contains at least one interpolated image (not part of basic profile)

    - #### VerticalText

          public static final OutputProfile.Feature VerticalText

      The PDF contains text in a font with a vertical writing direction (not part of basic profile)
      Since:
        2.13.1

    - #### ColorContent

          public static final OutputProfile.Feature ColorContent

      The PDF contains text, shading or vector graphics (anything but bitmap images) that are in Color rather than grayscale or black-and-white.
      Since:
        2.13.2

    - #### GrayscaleContent

          public static final OutputProfile.Feature GrayscaleContent

      The PDF contains text, shading or vector graphics (anything but bitmap images) that are in Grayscale, ie. they include a shade of gray that is not black or white.
      Since:
        2.13.2

    - #### ColorImage

          public static final OutputProfile.Feature ColorImage

      The PDF contains a bitmap image that could be in Color. More accurately, the image allows color but could be grayscale or black-and-white: without analyzing each pixel we can't tell for sure.
      Since:
        2.13.2

    - #### GrayscaleImage

          public static final OutputProfile.Feature GrayscaleImage

      The PDF contains a bitmap image that could be in Grayscale. More accurately, the image allows grayscale but could be black-and-white: without analyzing each pixel, we can't tell for sure.
      Since:
        2.13.2

    - #### BlackAndWhiteImage

          public static final OutputProfile.Feature BlackAndWhiteImage

      The PDF contains a bitmap image that is in Black&White, as opposed to Color or Grayscale. This is a more specific test than `ImageDepth1` as that doesn't require grayscale.
      Since:
        2.13.2

    - #### Form

          public static final OutputProfile.Feature Form

      The PDF contains a Form with at least one element.

    - #### NeedAppearancesNotFalse

          public static final OutputProfile.Feature NeedAppearancesNotFalse

      The NeedAppearances flag of the Form dictionary is set. This is not allowed in PDF/A. If this feature is denied when the OutputProfile is applied, the flag will be turned off.
      Since:
        2.6.7

    - #### DigitallySigned

          public static final OutputProfile.Feature DigitallySigned

      The PDF contains at least one Digital Signature.

    - #### AuthorSignature

          public static final OutputProfile.Feature AuthorSignature

      The PDF contains an Author digital signature
      Since:
        2.7.3

    - #### PermissionsWithUnknownEntry

          public static final OutputProfile.Feature PermissionsWithUnknownEntry

      The PDF contains a permissions dictionary with an entry other than DocMDP or UR3 (not part of basic profile).
      Since:
        2.14.1

    - #### PermissionsWithDocMDPAndDigest

          public static final OutputProfile.Feature PermissionsWithDocMDPAndDigest

      The PDF contains a permissions dictionary with a DocMDP entry containing signature references with a digest (not part of basic profile).
      Since:
        2.14.1

    - #### XFAForm

          public static final OutputProfile.Feature XFAForm

      The PDF contains an XFA Form. XFA Forms were added in Acrobat 6.0 - the library can read and write documents containing these forms, but alterations to the form are limited to modifying the values of fields.

    - #### XFAFormIsStream

          public static final OutputProfile.Feature XFAFormIsStream

      The PDF contains an XFA Form which is stored as a single stream. This is completely invalid, but Acrobat appears to accept it.
      Since:
        2.15.2

    - #### XFAForm20

          public static final OutputProfile.Feature XFAForm20

      The PDF contains an XFA Form matching version 2.0 of the XFA specification.
      Since:
        2.11.10

    - #### XFAForm22

          public static final OutputProfile.Feature XFAForm22

      The PDF contains an XFA Form matching version 2.2 of the XFA specification.
      Since:
        2.11.10

    - #### XFAForm24

          public static final OutputProfile.Feature XFAForm24

      The PDF contains an XFA Form matching version 2.4 of the XFA specification.
      Since:
        2.11.10

    - #### XFAForm25

          public static final OutputProfile.Feature XFAForm25

      The PDF contains an XFA Form matching version 2.5 of the XFA specification.
      Since:
        2.11.10

    - #### XFAForm26

          public static final OutputProfile.Feature XFAForm26

      The PDF contains an XFA Form matching version 2.6 of the XFA specification.
      Since:
        2.11.10

    - #### XFAForm27

          public static final OutputProfile.Feature XFAForm27

      The PDF contains an XFA Form matching version 2.7 of the XFA specification.
      Since:
        2.11.10

    - #### XFAForm28

          public static final OutputProfile.Feature XFAForm28

      The PDF contains an XFA Form matching version 2.8 of the XFA specification.
      Since:
        2.11.10

    - #### XFAForm30

          public static final OutputProfile.Feature XFAForm30

      The PDF contains an XFA Form matching version 3.0 of the XFA specification.
      Since:
        2.11.10

    - #### XFAForm31

          public static final OutputProfile.Feature XFAForm31

      The PDF contains an XFA Form matching version 3.1 of the XFA specification.
      Since:
        2.11.10

    - #### Portfolio

          public static final OutputProfile.Feature Portfolio

      The PDF is a PDF Portfolio, a collection of PDF documents stored as attachments to the parent. These have been possible since Acrobat 8, but this feature will only be set for documents created with Acrobat 9 or later. To identify a likely Portfolio created under Acrobat 8, check the `pagemode` option on the PDF: if it's "UseAttachments", it's likely a PDF Portfolio.
      Since:
        2.13

    - #### PortfolioFolders

          public static final OutputProfile.Feature PortfolioFolders

      The PDF is a PDF `Portfolio` and contains subfolders. This is a new feature added in ISO 32000-1:2008 extension 3 (Acroabt X).
      Since:
        2.14.1

    - #### HasOutputIntent

          public static final OutputProfile.Feature HasOutputIntent

      The PDF contains an OutputIntent.

    - #### HasOutputIntentGTS_PDFX

          public static final OutputProfile.Feature HasOutputIntentGTS_PDFX

      The PDF contains an OutputIntent of GTS_PDFX. Required for PDF/X

    - #### HasOutputIntentGTS_PDFA1

          public static final OutputProfile.Feature HasOutputIntentGTS_PDFA1

      The PDF contains an OutputIntent of GTS_PDFA1. The PDF/A specification specifies this for PDF/A-2 and later, not just PDF/A-1.
      Since:
        2.6.7

    - #### HasOutputIntentGTS_PDFA

          public static final OutputProfile.Feature HasOutputIntentGTS_PDFA

      The PDF contains an OutputIntent of GTS_PDFA. Acrobat 7 and 8 use this OutputIntent when testing for PDF/A compliance, but the specification indicates it should be `GTS_PDFA1`. Part of `OutputProfile.PDFA1b_2005_Acrobat`
      Since:
        2.6.7

    - #### HasGrayOutputIntent

          public static final OutputProfile.Feature HasGrayOutputIntent

      The PDF contains an OutputIntent defining a Grayscale ColorSpace. PDF/A Documents containing device colors must have a matching OutputIntent.
      Since:
        2.11.5

    - #### HasRGBOutputIntent

          public static final OutputProfile.Feature HasRGBOutputIntent

      The PDF contains an OutputIntent defining an RGB ColorSpace. PDF/A Documents containing device colors must have a matching OutputIntent.
      Since:
        2.11.5

    - #### HasCMYKOutputIntent

          public static final OutputProfile.Feature HasCMYKOutputIntent

      The PDF contains an OutputIntent defining a CMYK ColorSpace. PDF/A Documents containing device colors must have a matching OutputIntent.
      Since:
        2.11.5

    - #### HasUnknownOutputIntent

          public static final OutputProfile.Feature HasUnknownOutputIntent

      The PDF contains an OutputIntent which is not GrayScale, RGB or CMYK.
      Since:
        2.11.5

    - #### UnknownOutputIntentRegistry

          public static final OutputProfile.Feature UnknownOutputIntentRegistry

      The PDF contains an OutputIntent which is not in the http://www.color.org Registry
      Since:
        2.11.5

    - #### HasUnembeddedOutputIntent

          public static final OutputProfile.Feature HasUnembeddedOutputIntent

      The PDF contains an OutputIntent which does not contain an embedded ICC profile
      Since:
        2.11.5

    - #### HasReferenceOutputIntent

          public static final OutputProfile.Feature HasReferenceOutputIntent

      The PDF contains an OutputIntent which references an external ICC profile. This is allowed in PDF/X-5 but disallowed in PDF/A-2 and later.
      Since:
        2.14.1

    - #### UnknownOutputIntentRegistryWithoutProfile

          public static final OutputProfile.Feature UnknownOutputIntentRegistryWithoutProfile

      The PDF contains an OutputIntent which is not in the http://www.color.org Registry and does not reference an embedded ICC profile
      Since:
        2.11.5

    - #### HasMultipleOutputIntents

          public static final OutputProfile.Feature HasMultipleOutputIntents

      The PDF contains multiple Output Intents.
      Since:
        2.11.5

    - #### HasMultipleDifferentOutputIntents

          public static final OutputProfile.Feature HasMultipleDifferentOutputIntents

      The PDF contains multiple Output Intents with different ICC profiles. This is not allowed for PDF/A.
      Since:
        2.11.5

    - #### InfoMeetsPDFX1a_2001

          public static final OutputProfile.Feature InfoMeetsPDFX1a_2001

      The PDF Info Dictionary meets the requirements for PDF/X-1a:2001.

    - #### InfoMeetsPDFX1a_2003

          public static final OutputProfile.Feature InfoMeetsPDFX1a_2003

      The PDF Info Dictionary meets the requirements for PDF/X-1a:2003.

    - #### InfoMeetsPDFX3_2002

          public static final OutputProfile.Feature InfoMeetsPDFX3_2002

      The PDF Info Dictionary meets the requirements for PDF/X-3:2002.

    - #### InfoMeetsPDFX3_2003

          public static final OutputProfile.Feature InfoMeetsPDFX3_2003

      The PDF Info Dictionary meets the requirements for PDF/X-3:2003.

    - #### InfoMeetsPDFA1b_2005

          public static final OutputProfile.Feature InfoMeetsPDFA1b_2005

      The PDF Info Dictionary meets the requirements for PDF/A-1b:2005 (not part of basic profile).
      Since:
        2.6.7

    - #### InfoMeetsPDFA1b_2005_Acrobat7

          public static final OutputProfile.Feature InfoMeetsPDFA1b_2005_Acrobat7

      The PDF Info Dictionary meets the requirements for the incorrect variation of PDF/A-1b:2005 created and required by Acrobat 7 (not part of basic profile). Acrobat 7.0 used a slightly different namespace for the PDF/A RDF entry, without a trailing slash. Although setting both this and `InfoMeetsPDFA1b_2005` will produce a valid PDF/A document, unfortunately Acrobat 8.0 will still flag it as being incorrect. For that reason this feature is not part of the `OutputProfile.PDFA1b_2005` Output Profile, and we recommend not including this feature unless you have a specific reason to target Acrobat 7.0.
      Since:
        2.8.4

    - #### InfoMeetsPDFA1a_2005

          public static final OutputProfile.Feature InfoMeetsPDFA1a_2005

      The PDF Info Dictionary meets the requirements for PDF/A-1a:2005 (not part of basic profile). Note the library does not support creation or validation of PDF/A-1a documents, but this feature will allow you to identify them if you find one.
      Since:
        2.6.7

    - #### InfoMeetsPDFA2a

          public static final OutputProfile.Feature InfoMeetsPDFA2a

      The PDF Info Dictionary meets the requirements for PDF/A-2a (not part of basic profile). Note the library does not support creation or validation of PDF/A-2a documents, but this feature will allow you to identify them if you find one.
      Since:
        2.14.1

    - #### InfoMeetsPDFA2b

          public static final OutputProfile.Feature InfoMeetsPDFA2b

      The PDF Info Dictionary meets the requirements for PDF/A-2b (not part of basic profile).
      Since:
        2.14.1

    - #### InfoMeetsPDFA2u

          public static final OutputProfile.Feature InfoMeetsPDFA2u

      The PDF Info Dictionary meets the requirements for PDF/A-2u (not part of basic profile).
      Since:
        2.14.1

    - #### InfoMeetsPDFA3a

          public static final OutputProfile.Feature InfoMeetsPDFA3a

      The PDF Info Dictionary meets the requirements for PDF/A-3a (not part of basic profile). Note the library does not support creation or validation of PDF/A-3a documents, but this feature will allow you to identify them if you find one.
      Since:
        2.14.1

    - #### InfoMeetsPDFA3b

          public static final OutputProfile.Feature InfoMeetsPDFA3b

      The PDF Info Dictionary meets the requirements for PDF/A-3b (not part of basic profile).
      Since:
        2.14.1

    - #### InfoMeetsPDFA3u

          public static final OutputProfile.Feature InfoMeetsPDFA3u

      The PDF Info Dictionary meets the requirements for PDF/A-3u (not part of basic profile).
      Since:
        2.14.1

    - #### ViewBoxNotBleedBox

          public static final OutputProfile.Feature ViewBoxNotBleedBox

      If BleedBox is present and if the ViewerPreferences dictionary contains the ViewArea, ViewClip, PrintArea or PrintClip keys, each of these keys present must be MediaBox or BleedBox for PDF/X-1:2003 and PDF/X-3:2003 (not part of basic profile)

    - #### ImagePluginHeader

          public static final OutputProfile.Feature ImagePluginHeader

      The PDF should be marked as "image only". This feature may be set as required, in which case if the image contains only a full-page image then Acrobat 6.0 and later will display various options which allow treating the image as a photo for printing.

    - #### RegularCompression

          public static final OutputProfile.Feature RegularCompression

      The PDF should be compressed. This feature is normally off, which means that new streams are compressed in the usual manner but existing streams are left untouched. This is typically the best setting. Setting this feature as Required means that all streams compressed with less-than-optimal compression will be recompressed, which may take longer but result in smaller files (depending on how compressed the original file was). On the other hand, setting this feature as Denied will cause all existing compressed streams to be uncompressed, which is useful for debugging PDFs but gives much larger files.

    - #### MaximumCompression

          public static final OutputProfile.Feature MaximumCompression

      The PDF should be compressed using the maximum level of compression. This feature affects the parameters to the "Flate" compression stream, and setting it causes the `Deflater.BEST_COMPRESSION` setting to be used. This can slow things down a fair bit so is off by default. Setting it typically works best when recompressing a file using the `RegularCompression` feature as well.
      Since:
        2.7.8

    - #### MergeResources

          public static final OutputProfile.Feature MergeResources

      When merging multiple PDFs, if this feature is set then the PDF will be scanned on `render` and duplicate resources (such as fonts and images) merged if possible. This process may be time consuming but can reduce the size of the resulting PDF. Performing this action on a signed PDF will almost certainly invalidate the signature. Here's an example:

           PDF pdf1 = new PDF(new PDFReader(new File("file1.pdf")));
           pdf1.getOutputProfile().setRequired(OutputProfile.Feature.MergeResources);
           PDF pdf2 = new PDF(new PDFReader(new File("file2.pdf")));
           pdf1.getPages().addAll(pdf2.getPages());
           pdf1.render(new FileOutputStream("out.pdf"));

      As a result of this feature being set on "pdf1", when it's rendered it will be scanned looking for duplicate objects. If both PDFs embedded the same image, for example, these will be consolidated down to a single bitmap.
      Since:
        2.10.4

    - #### PurgeResources

          public static final OutputProfile.Feature PurgeResources

      When saving a modified PDF, in general the PDF API will not include items that have been removed from the document. Sometimes this fails when the removed objects were heavily referenced. In particular this can apply when removing pages from a PDF. Setting this Feature as required on the OutputProfile before the PDF is saved will add an extra pass to the save which will look for references to deleted objects, and remove them.
      Since:
        2.11.17

    - #### FileIsDamaged

          public static final OutputProfile.Feature FileIsDamaged

      The PDF structure was damaged but has been repaired. Depending on the extent of the damage, some data may theoretically have been lost (although typically this is unlikely).

    - #### ContentIsDamaged

          public static final OutputProfile.Feature ContentIsDamaged

      The PDF contains a content stream which is damaged. This is one of the more serious types of file damage, as it indicates corruption in the page description itself. While it's possible that the damage is minimal, there's a good chance that this PDF cannot be fully recovered (not part of basic profile).
      Since:
        2.11.25

    - #### HintsAreDamaged

          public static final OutputProfile.Feature HintsAreDamaged

      The linearized PDF contains a hints table that is damaged. Fast Web View may not work correctly.
      Since:
        2.13.2

    - #### ImperfectWhitespace

          public static final OutputProfile.Feature ImperfectWhitespace

      The PDF contains whitespace which is valid, but does not meet the stricter requirements for PDF/A. Unless you're verifying against PDF/A this is unimportant.
      Since:
        2.11.5

    - #### StreamLengthIncorrect

          public static final OutputProfile.Feature StreamLengthIncorrect

      The PDF contains a Stream with an invalid Length. This is repairable and quite common, but it's explicitly disallowed in the PDF/A speciciation, and large differences between the posted and actual length may indicate damage to the PDF.
      Since:
        2.11.5

    - #### ImageLengthIncorrect

          public static final OutputProfile.Feature ImageLengthIncorrect

      The PDF contains an image which has less data than its width and height demand. This is not repairable, although for small differences the effect may be negligable, and documents featuring this flag may render unpredictably in different viewers.
      Since:
        2.11.24

    - #### NoEOLStream

          public static final OutputProfile.Feature NoEOLStream

      The PDF contains a Stream without a traling EOL character. This is perfectly legal and quite normal, but it's specifically disallowed in PDF/A.
      Since:
        2.11.5

    - #### OddHexString

          public static final OutputProfile.Feature OddHexString

      The PDF contains a Hex string with an odd length. This can always be repaired, but it may indicate slight damage to the PDF and is disallowed in PDF/A.
      Since:
        2.11.5

    - #### HeaderNotAtStart

          public static final OutputProfile.Feature HeaderNotAtStart

      There is junk in the PDF file before the "%PDF-" marker

    - #### JunkAfterHeader

          public static final OutputProfile.Feature JunkAfterHeader

      There is junk in the PDF file immmediately after the header line. This is usually fine, but disalloed in PDF/A-2 and later.
      Since:
        2.14.1

    - #### TrailerNotAtEnd

          public static final OutputProfile.Feature TrailerNotAtEnd

      There is junk in the PDF file following the %%EOF marker

    - #### NoFourByteComment

          public static final OutputProfile.Feature NoFourByteComment

      The four-byte binary comment immediately after the "%PDF-" marker and recommended by Adobe is missing

    - #### ArrayOverflow

          public static final OutputProfile.Feature ArrayOverflow

      The PDF contains an Array with > 8191 elements. This is officially disallowed by the PDF specification, although many PDF processors will not have a problem with it. It's disallowed under PDF/A.
      Since:
        2.11.5

    - #### DictionaryOverflow

          public static final OutputProfile.Feature DictionaryOverflow

      The PDF contains a Dictionary with > 4095 entries. This is officially disallowed by the PDF specification, although many PDF processors will not have a problem with it. It's disallowed under PDF/A.
      Since:
        2.11.6

    - #### IntegerOverflow

          public static final OutputProfile.Feature IntegerOverflow

      The PDF contains an Integer > ±231-1. This is disallowed by the PDF specification and by PDF/A. If this is encountered in a context where floating point numbers are used it will be rounded to the nearest value. If it's in a location where only integers are acceptable it will be rounded to `Integer.MAX_VALUE` or `Integer.MIN_VALUE`. (not part of basic profile)
      Since:
        2.11.5

    - #### RealUnderflow

          public static final OutputProfile.Feature RealUnderflow

      The PDF contains a real number < ±1.175 × 10-38. This very small number will be rounded to zero by most implementations so is unlikely to cause an issue but is technically disallowed in PDF/A-2 and later. (not part of basic profile)

      # Opinion

      There is no reason that we can see for this restriction, and it is not tested for in Acrobat or any other PDF/A implementation we're aware of.
      Since:
        2.14.1
      See Also:
        `RealOverflow`

    - #### RealOverflow

          public static final OutputProfile.Feature RealOverflow

      The PDF contains a real number > ±3.4028234 × 1038, which is the maximum size for a 32-bit float under IEEE754. This is not recommended in PDF but technically allowed in the PDF/A-2 specification, although it's unlikely to be correctly handled by most PDF readers. (not part of basic profile)

      # Opinion

      The PDF specification recommends real numbers are "±3.403 x 1038 (approx)" but the PDF/A-2 and later specifications remove the "approx" from the text, so it's possible to create a number which fails this test but is still valid PDF/A. This is unlikely to be the intention of the specification, as numbers this large can only be represented by 64-bit doubles while Acrobat (and many other tools, including this one) use 32-bit floats internally. Consequently the chances of the the document being reliably reproducable are slim, and indeed Acrobat 9, X and XI will fail to display a PDF containing numbers like this.
      So while the specification only requires that we test for numbers that fail the less-demanding test `RealOverflowPDFA`, we recommend the condition defined by this feature to be met for any PDF/A documents, to ensure the document has a better chance of being reliably loaded on other environments.
      Since:
        2.14.1
      See Also:
        `RealOverflowPDFA`

    - #### RealOverflow14

          public static final OutputProfile.Feature RealOverflow14

      The PDF contains a real number greater than 32767 or less than -32767. This is beyond the architectural limits defined in PDF 1.4, which is what PDFA/1 is based on.
      Since:
        2.18
      See Also:
        `RealOverflow`

    - #### RealOverflowPDFA

          public static final OutputProfile.Feature RealOverflowPDFA

      The PDF contains a real number > ±3.403 × 1038 - this is not recommended in PDF and disallowed by PDF/A-2 and later. (not part of basic profile)

      # Opinion

      See `RealOverflow`
      Since:
        2.14.1
      See Also:
        `RealUnderflow`, `RealOverflow`

    - #### NameOverflow

          public static final OutputProfile.Feature NameOverflow

      The PDF contains a Name > 127 bytes. This is disallowed by the PDF specification and by PDF/A.
      Since:
        2.11.5

    - #### NameNotUTF8

          public static final OutputProfile.Feature NameNotUTF8

      The PDF contains a Name representing a String which is not a valid UTF-8 byte sequence. This is explicitly disallowed in PDF/A-2 and later for all name objects.
      Since:
        2.14.1

    - #### StringOverflow

          public static final OutputProfile.Feature StringOverflow

      The PDF contains a String > 65535 bytes. This is disallowed by the PDF specification and by PDF/A.
      Since:
        2.11.5

    - #### IndirectObjectOverflow

          public static final OutputProfile.Feature IndirectObjectOverflow

      The PDF contains more than 8388607 indirect objects. This is disallowed by the PDF specification and by PDF/A-2.
      Since:
        2.14.1

    - #### Device9ColorSpace

          public static final OutputProfile.Feature Device9ColorSpace

      The PDF contains a DeviceN ColorSpace with more than 8 components. This is disallowed by the PDF specification 1.4 and PDF/A-1 (not part of basic profile).
      Since:
        2.11.6

    - #### Device33ColorSpace

          public static final OutputProfile.Feature Device33ColorSpace

      The PDF contains a DeviceN ColorSpace with more than 32 components. This is disallowed by the PDF specification 1.7 (not part of basic profile).
      Since:
        2.11.6

    - #### NestingOverflow

          public static final OutputProfile.Feature NestingOverflow

      The PDF contains q/Q operations that nest more than 28 deep. This is disallowed by the PDF/A-2 and later specifications
      Since:
        2.14.1

    - #### Overprint

          public static final OutputProfile.Feature Overprint

      The PDF uses Overprinting, which usually requires special settings to reproduce correctly on a subtractive output device such as a screen. (not part of basic profile)
      Since:
        2.14.1

    - #### OverprintInICCCMYK

          public static final OutputProfile.Feature OverprintInICCCMYK

      The PDF uses overprinting in an ICC-based CMYK profile. The results are ill-defined and this is disallowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### InvalidColorProfile

          public static final OutputProfile.Feature InvalidColorProfile

      The PDF contains an invalid ICC ColorProfile. Typically this is OK, as the fallback ColorSpace will be used. However in PDF/A Documents this is not allowed (not part of basic profile).
      Since:
        2.11.5

    - #### SinglePixelImage

          public static final OutputProfile.Feature SinglePixelImage

      The PDF contains a 1x1 pixel bitmap image. This is sometimes used as a very inefficient way to draw lines.
      Since:
        2.11.7

    - #### SignatureHasMultipleSigners

          public static final OutputProfile.Feature SignatureHasMultipleSigners

      The PDF contains a digital signature with multiple signers. This is not allowed in PDF/A-2 and later (not part of basic profile)
      Since:
        2.14.1

    - #### SignatureCoverageIncomplete

          public static final OutputProfile.Feature SignatureCoverageIncomplete

      The PDF contains a digital signature which does not cover a full revision of the file. This is not allowed in PDF/A-2 and later (not part of basic profile)
      Since:
        2.14.1

    - #### SignaturePKCS7Invalid

          public static final OutputProfile.Feature SignaturePKCS7Invalid

      The PDF contains a digital signature which claims to be PKCS#7 but has either:
      - An invalid PKCS#7 object
      - A valid PKCS#7 object but with multiple `SignerInfo` objects
      - A valid PKCS#7 object but with the signer certificate not included
      This is not allowed in PDF/A-2 and later (not part of basic profile)
      Since:
        2.14.1

    - #### SignaturePAdES

          public static final OutputProfile.Feature SignaturePAdES

      The PDF contains a digital siganture which matches the PAdES standards.
      Since:
        2.15.2

    - #### BlendingColorSpaceUndefined

          public static final OutputProfile.Feature BlendingColorSpaceUndefined

      The PDF contains a Page with transparent content, but doesn't define the ColorSpace in which that content is to be blended. The default space of the viewer is used, and the results are unpredicable as a consequence.
      Since:
        2.14.1
      See Also:
        `BlendingColorSpaceUndefinedNoIntent`

    - #### BlendingColorSpaceUndefinedNoIntent

          public static final OutputProfile.Feature BlendingColorSpaceUndefinedNoIntent

      As for `BlendingColorSpaceUndefined` and the GTS_PDFA1 OutputIntent is also not specified. This is disallowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.15.3

    - #### JPXContentMismatch

          public static final OutputProfile.Feature JPXContentMismatch

      The PDF contains a JPX stream where the external values (for width, height or colorspace) don't match the values defined by the stream. This makes the stream invalid. This is not allowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### EmbeddedFileWithoutName

          public static final OutputProfile.Feature EmbeddedFileWithoutName

      The PDF contains a File Specification which does not have the F key. This is required for embedded files in PDF/A-2 and A-3. (not part of basic profile)
      Since:
        2.14.1

    - #### EmbeddedFileWithoutUnicodeName

          public static final OutputProfile.Feature EmbeddedFileWithoutUnicodeName

      The PDF contains a File Specification which does not have the F or UF key. This is required for embedded files in PDF/A-2 and A-3. (not part of basic profile)
      Since:
        2.14.1

    - #### EmbeddedFileWithoutAFRelationship

          public static final OutputProfile.Feature EmbeddedFileWithoutAFRelationship

      The PDF contains a File Specification which does not have the AFRelationship key. This is required for embedded files in PDF/A-3. (not part of basic profile)
      Since:
        2.14.1

    - #### EmbeddedFileWithoutSubtype

          public static final OutputProfile.Feature EmbeddedFileWithoutSubtype

      The PDF contains an embedded file which does not have the Subtype key. This is required for embedded files in PDF/A-3. (not part of basic profile)
      Since:
        2.14.1

    - #### EmbeddedFileSubtypeNotContentType

          public static final OutputProfile.Feature EmbeddedFileSubtypeNotContentType

      The PDF contains an embedded file for which the Subtype is not a MIME content-type. This is required for embedded files in PDF/A-3. (not part of basic profile)
      Since:
        2.14.1

    - #### EmbeddedFileWithoutParams

          public static final OutputProfile.Feature EmbeddedFileWithoutParams

      The PDF contains an embedded file which does not have the Params key. This is required for embedded files in PDF/A-3. (not part of basic profile)
      Since:
        2.14.1

    - #### EmbeddedFileWithoutModDate

          public static final OutputProfile.Feature EmbeddedFileWithoutModDate

      The PDF contains an embedded file which does not have a modification date. This is required for embedded files in PDF/A-3. (not part of basic profile)
      Since:
        2.14.1

    - #### PageDimensionsOutOfBounds

          public static final OutputProfile.Feature PageDimensionsOutOfBounds

      The PDF contains a `PDFPage` which has a `box` that has a width or height < 3 or > 14440. These limits are recommended in PDF and required in PDF/A (not part of basic profile).
      Since:
        2.14.1

    - #### TooManyCIDs

          public static final OutputProfile.Feature TooManyCIDs

      The PDF contains a CMap which has > 65535 CIDs. This is beyond the recommended maximum limit and is explicitly disallowed in PDF/A. (not part of basic profile).
      Since:
        2.14.1

    - #### SubPageNavigation

          public static final OutputProfile.Feature SubPageNavigation

      Ths PDF contains sub-page navigation on a Page, by means of the "PresSteps" key. This is not allowed in PDF/A-2 or later (not part of basic profile.
      Since:
        2.14.1

    - #### DocumentNeedsRendering

          public static final OutputProfile.Feature DocumentNeedsRendering

      The PDF Catalog has a "NeedsRendering" key. This is not allowed in PDF/A-2 or later (not part of basic profile).
      Since:
        2.14.1

    - #### CatalogRequirements

          public static final OutputProfile.Feature CatalogRequirements

      The PDF Catalog has a "Requirements" key. This is not allowed in PDF/A-2 or later (not part of basic profile).
      Since:
        2.14.1

    - #### Slideshow

          public static final OutputProfile.Feature Slideshow

      The PDF defines a Slideshow or another type of alternate presentation. This is not allowed in PDF/A-2 or later (not part of basic profile).
      Since:
        2.14.1

    - #### NoMediaBox

          public static final OutputProfile.Feature NoMediaBox

      The PDF contains a page with no media box. This is not allowed.

    - #### OutputIntentReferenceProfile

          public static final OutputProfile.Feature OutputIntentReferenceProfile

      The PDF contains an OutputIntent where ColorSpace is referenced rather than embedded. This is a feature of PDF/X-5 or later but is explicitly disallowed in PDF/A-2 or later. (not part of basic profile).
      Since:
        2.14.1

    - #### OptionalContentWithoutName

          public static final OutputProfile.Feature OptionalContentWithoutName

      The PDF contains an Optional Content Configuration Dictionary with no name. This is not allowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### OptionalContentWithDuplicateName

          public static final OutputProfile.Feature OptionalContentWithDuplicateName

      The PDF contains an Optional Content Configuration Dictionary which duplicates the name of another dictionary. This is not allowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### OptionalContentUsageApplication

          public static final OutputProfile.Feature OptionalContentUsageApplication

      The PDF contains an Optional Content Configuration dictionary which specifies the AS (Usage Application) Dictionary. This is not allowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### OptionalContentOrderIncomplete

          public static final OutputProfile.Feature OptionalContentOrderIncomplete

      The PDF contains an Optional Content Configuration dictionary which specifies an Order, but the Order doesn't list every Optional Content Group in the PDF. This is not allowed in PDF/A-2 and later (not part of basic profile).
      Since:
        2.14.1

    - #### MarkedProperty

          public static final OutputProfile.Feature MarkedProperty

      The PDF contains marked-content operators with property lists (either a DP or a BDC)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getFieldName

          public String getFieldName()

      Return the name of the field this feature is declared as in this class, eg "PDFVersion15" for `PDFVersion15`
      Since:
        2.13.2

    - #### getDescription

          public final String getDescription()

      Get a brief textual description of the Feature
      Since:
        2.8.1

Copyright © 2001-2015 Big Faceless Organization